commit 09aa8850de153f00e8775c76defc4a3ca9ae2adc
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-24 16:20:46 +0200

    Bump version to 0.9.4.

 AUTHORS      |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d8fce16ea46c148104c01e3019d172c2aadc7fc8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-24 12:33:58 +0200

    GUI: scale seek icons, not buttons.
    
    Since we only have one icon for forward seek and one for backward seek, we need
    a way to make the buttons appear different.  With this patch, the icons are
    scaled, instead of the buttons themselves.

 src/player_qt.cpp |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 6df88a12e3807b5ad97d6eb2928332b5ce4a8271
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-24 10:26:22 +0200

    Improve error behaviour when required OpenGL features are not available.
    
    Do not call abort() anymore as this seems to result in a lengthy error report
    on Mac OS X. Just show (GUI) or print (command line) the error message and
    quit.

 src/video_output_qt.cpp |   22 +++++++---------------
 1 files changed, 7 insertions(+), 15 deletions(-)

commit ac84c5f0f614911a60c1c9a374015bd8cb91ec1e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-23 17:40:41 +0200

    GUI: use system icon theme, or fall back to built-in icons from the Oxygen theme.
    
    Based on a suggestion by Joe in
    <http://lists.nongnu.org/archive/html/bino-list/2011-04/msg00082.html>.

 src/Makefile.am                            |   45 ++-
 src/icons/COPYING                          |  215 ++++++++++++++
 src/icons/README                           |   18 +-
 src/icons/application-exit.png             |  Bin 0 -> 3017 bytes
 src/icons/applications-internet.png        |  Bin 0 -> 5158 bytes
 src/icons/b.ipe                            |  402 --------------------------
 src/icons/b.png                            |  Bin 579 -> 0 bytes
 src/icons/bb.ipe                           |  408 ---------------------------
 src/icons/bb.png                           |  Bin 826 -> 0 bytes
 src/icons/bbb.ipe                          |  414 ---------------------------
 src/icons/bbb.png                          |  Bin 1066 -> 0 bytes
 src/icons/center.ipe                       |  420 ----------------------------
 src/icons/center.png                       |  Bin 1335 -> 0 bytes
 src/icons/document-open.png                |  Bin 0 -> 1616 bytes
 src/icons/f.ipe                            |  402 --------------------------
 src/icons/f.png                            |  Bin 583 -> 0 bytes
 src/icons/ff.ipe                           |  408 ---------------------------
 src/icons/ff.png                           |  Bin 814 -> 0 bytes
 src/icons/fff.ipe                          |  414 ---------------------------
 src/icons/fff.png                          |  Bin 1024 -> 0 bytes
 src/icons/fullscreen.ipe                   |  419 ---------------------------
 src/icons/fullscreen.png                   |  Bin 1109 -> 0 bytes
 src/icons/help-about.png                   |  Bin 0 -> 2261 bytes
 src/icons/help-contents.png                |  Bin 0 -> 2795 bytes
 src/icons/media-playback-pause.png         |  Bin 0 -> 1865 bytes
 src/icons/media-playback-start.png         |  Bin 0 -> 1932 bytes
 src/icons/media-playback-stop.png          |  Bin 0 -> 1891 bytes
 src/icons/media-seek-backward.png          |  Bin 0 -> 1964 bytes
 src/icons/media-seek-forward.png           |  Bin 0 -> 1962 bytes
 src/icons/pause.ipe                        |  410 ---------------------------
 src/icons/pause.png                        |  Bin 571 -> 0 bytes
 src/icons/play.ipe                         |  402 --------------------------
 src/icons/play.png                         |  Bin 709 -> 0 bytes
 src/icons/preferences-desktop-keyboard.png |  Bin 0 -> 1414 bytes
 src/icons/stop.ipe                         |  403 --------------------------
 src/icons/stop.png                         |  Bin 417 -> 0 bytes
 src/icons/view-fullscreen.png              |  Bin 0 -> 883 bytes
 src/icons/view-restore.png                 |  Bin 0 -> 899 bytes
 src/player_qt.cpp                          |   42 ++-
 src/qt_resources.qrc                       |   19 --
 40 files changed, 281 insertions(+), 4560 deletions(-)

commit 9ee9475f919ab09fdec7f444664eb0d12c9e3220
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-23 11:35:27 +0200

    Tweak information for translators.

 ABOUT-NLS |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 3bfcd57fbe7ef452dc5bcf9c03309a4210933eec
Author: Joe <cuchac@email.cz>
Date:   2011-04-23 10:28:23 +0200

    Update cs.po.

 po/cs.po |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit d27f392159a78f030d4523281b3ec0c865a534f3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-22 16:54:14 +0200

    Add a TODO file so that ideas do not get lost.

 Makefile.am |    2 +-
 TODO        |   32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletions(-)

commit bc6df0ee3f7051bbe7c3104e4133e4cd099ada96
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2011-04-22 16:20:02 +0200

    GUI: set Qt menu roles, for better behaviour on Mac OS X.

 src/player_qt.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 5bdccfddccbc01019693f17b11f222ed0a17f1d1
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2011-04-22 16:07:20 +0200

    Add french translation.

 pkg/w32/bino.nsi |   17 +-
 po/LINGUAS       |    1 +
 po/fr.po         | 1323 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1334 insertions(+), 7 deletions(-)

commit a8a90d5355e3751a98b053ad2906e1cf72ce437f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-22 15:50:52 +0200

    Subtitles: properly handle newlines in text format subtitles.

 src/subtitle_renderer.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 6e3b65e0c2d5c71325179ee37e7db31fa4ca87a4
Author: Vittorio Giovara <vittorio.giovara@sisveltech.com>
Date:   2011-04-22 15:45:07 +0200

    Update AUTHORS.

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit caeabc2ce403589a0fc91ef401e27a25979fc3e1
Author: Vittorio Giovara <vittorio.giovara@sisveltech.com>
Date:   2011-04-22 15:42:35 +0200

    Media object: replace obsolete libavformat constants.

 src/media_object.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 657e3dd98ec6dd8834b80cfb24746119415016a1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-22 15:39:24 +0200

    Sleep in pause mode.

 src/player.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ecdcb92c4275bfa33e916b1e5db30e0d445134ca
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-22 15:32:49 +0200

    Fix sleeping when there is nothing to do.
    
    The original code only slept when there were no events to process, as
    determined by video_output::has_events().
    
    However, QApplication::hasPendingEvents() seems to be broken and always returns
    true, even if we just called QApplication::processEvents() which is supposed to
    process and remove all events.
    
    This means we have no way to determine if there are events or not. Therefore,
    this change removes video_output::has_events() completely, and we just always
    process events and sleep afterwards.

 src/player.cpp          |    7 ++-----
 src/video_output.h      |    1 -
 src/video_output_qt.cpp |    5 -----
 src/video_output_qt.h   |    1 -
 4 files changed, 2 insertions(+), 12 deletions(-)

commit 1962850ead492860e7e5fd2b10a34f84bc64b80e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-20 13:36:23 +0200

    GUI: Use the native FileOpen dialog of the platform, not Qt's.
    
    This results in better integration to the target platform and ensures a
    translated dialog.

 src/player_qt.cpp |   14 +++-----------
 1 files changed, 3 insertions(+), 11 deletions(-)

commit 10e493e2e4f544bddbc8a673bcf6bf72789ad96c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-20 13:05:05 +0200

    Windows: update, simplify and fix the installer.

 pkg/w32/bino.nsi |   96 ++++++++++++------------------------------------------
 1 files changed, 21 insertions(+), 75 deletions(-)

commit 575115c786e38e511af059950d5f6d6a02b4eb61
Author: Robert Pliszko <Robert.Pliszko@systems-design.eu>
Date:   2011-04-20 11:48:02 +0200

    Add polish translation.

 AUTHORS          |    1 +
 pkg/w32/bino.nsi |    6 +
 po/LINGUAS       |    3 +-
 po/pl.po         | 1310 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 1319 insertions(+), 1 deletions(-)

commit 9843961076f65c8b947df4f34ccfd265e48d989a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-19 13:47:46 +0200

    Make LibASS subtitle rendering thread-safe for Equalizer.

 src/subtitle_renderer.cpp |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit d62321b76b01d193e9ea12e794bc5ed0b49798ff
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-19 07:02:38 +0200

    Update ru.po.

 po/ru.po |  181 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 85 insertions(+), 96 deletions(-)

commit 949dde274f45f0bd17d56366edaf80d22e1f8691
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-19 06:53:19 +0200

    Player: read next subtitle in the background.

 src/player.cpp |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 21c91afe4eabbde27c86035b0105529c3d668389
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-19 06:46:11 +0200

    Media object: avoid deprecated constants.
    
    Use AV_SAMPLE_FMT_* instead of SAMPLE_FMT_*.

 src/media_object.cpp |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit d2021b49bc6ff993c932733d304a83ab46f04b1e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-19 06:21:19 +0200

    Fix and improve conversion of s32 to f32 audio samples.
    
    - Do not convert more than necessary.
    - Make code more readable.

 src/media_object.cpp |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit e62c266501059539a5b244c4b93b9bb3887608da
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-18 22:38:58 +0200

    Increase audio buffer size, required for very high resolution audio.

 src/audio_output.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cd681825fb32f1763b317daaff87f2ac0dd149be
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-18 22:38:21 +0200

    Add support for s32 audio samples by converting them to f32.

 src/media_object.cpp |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 149c0917b7cebb03e51c9b6d132f822ad584cd98
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-18 22:35:04 +0200

    Stop audio output when stopping playback.
    
    Don't let audio "run out"; this might take too long depending on buffered data.

 src/player.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f96bef7e283e635182b02f4c73be7be2c873fa03
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-18 21:41:15 +0200

    Update de.po.

 po/de.po |   38 ++++++++++++++++++++------------------
 1 files changed, 20 insertions(+), 18 deletions(-)

commit 3275d6a57275c217b68d315cc09a5b99f95dcb99
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-18 21:33:43 +0200

    Change ESC key meaning.
    
    ESC is not equivalent to q anymore. When in fullscreen mode, it now simply ends
    fullscreen mode. It only stops playback when in window mode.

 doc/bino.1              |    4 +++-
 doc/bino.texi           |    3 ++-
 src/main.cpp            |    3 ++-
 src/video_output_qt.cpp |   12 ++++++++++++
 4 files changed, 19 insertions(+), 3 deletions(-)

commit 988833755cf9e6727463df1547b98c7aec462a6e
Author: Alexey Osipov <simba@lerlan.ru>
Date:   2011-04-18 21:27:08 +0200

    Add russian translation.

 pkg/w32/bino.nsi |    6 +
 po/LINGUAS       |    1 +
 po/ru.po         | 1317 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1324 insertions(+), 0 deletions(-)

commit 66993854b13c0039d98ce3e7b3e2ec8856236c98
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-18 20:42:58 +0200

    Fix formatted output from msg::*_txt for non-ASCII locales.

 configure.ac     |    2 +-
 src/base/msg.cpp |   90 ++++++++++++++++++++++++++++++++++++++++-------------
 2 files changed, 69 insertions(+), 23 deletions(-)

commit b40f31c9bbd0137598afbebbb52400115d7fa423
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-16 13:00:43 +0200

    Windows: add czech translation to installer.

 pkg/w32/bino.nsi |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7fb3f343d9d853892bc7ce864eb5e2d9b678ac48
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-16 12:56:43 +0200

    Bump version to 0.9.3.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 720fc76c5159fe82bc2a1bf5ae31c14eb990ba9d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-16 12:53:14 +0200

    configure.ac: make message about required FFmpeg version more helpful.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 54e6932039230c7e1c7fa450f725b89434f21318
Author: Joe <cuchac@email.cz>
Date:   2011-04-16 12:40:57 +0200

    Add czech translation.

 po/LINGUAS |    1 +
 po/cs.po   | 1302 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1303 insertions(+), 0 deletions(-)

commit 6a861d3642b7a38c07ec9fa09d8e582d1c6064c7
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2011-04-16 12:08:24 +0200

    Mac OS X: improve packaging.
    
    - install translations in the mac app (and install *all* help files too)
    - try to guess if we're an application, and return the right localedir

 Makefile.am  |    3 ++-
 src/main.cpp |   44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+), 1 deletions(-)

commit 67250f19783f16fdff4933064aa631425f360f13
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-16 10:52:43 +0200

    Fix interpretation of parallax adjustment.
    
    The meaning of negative / positive parallax was swapped.

 src/video_output_render.fs.glsl |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 97c8ecb7aee790819df443415bb1e01b446ca16a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-13 21:10:31 +0200

    Update de.po.

 po/de.po |   35 ++++++++++++++++++++++++-----------
 1 files changed, 24 insertions(+), 11 deletions(-)

commit 50ed387c68e26737c27ba389a4ee9ec9209ac315
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-13 21:05:24 +0200

    Add documentation for translators.

 ABOUT-NLS |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit e4ee0200b647893bea534387893e949ed5df7cd0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-13 20:56:34 +0200

    Documentation: document the --subtitle-* options.

 doc/bino.1    |   12 ++++++++++++
 doc/bino.texi |   12 ++++++++++++
 2 files changed, 24 insertions(+), 0 deletions(-)

commit e96e4ec6e9236853ba4239217c6f59e534984570
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-13 20:55:58 +0200

    Documentation: update documentation of input file handling.

 doc/bino.1    |    8 +++++---
 doc/bino.texi |    8 +++++---
 2 files changed, 10 insertions(+), 6 deletions(-)

commit dff490c1aaee412f31118a9b0a00269a6b1346da
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-13 20:39:31 +0200

    Add --subtitle-parallax option, for completeness.

 src/main.cpp |   42 +++++++++++++++++++++++-------------------
 1 files changed, 23 insertions(+), 19 deletions(-)

commit 52e0e9e9aa4d0124218fe176249fe5f38c209e9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-12 22:12:39 +0200

    Add command line options for subtitle settings.

 src/base/opt.h |   58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/main.cpp   |   31 +++++++++++++++++++++++++++--
 2 files changed, 86 insertions(+), 3 deletions(-)

commit df93eb314286f566b16fdd5d4c9e70a2dfde014e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-12 21:23:44 +0200

    Fix GUI translation for utf-8 locales.
    
    This corrects e7dfd62c9ed2625f18080d26de2f4f15e536fbc0.

 src/qt_app.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fa8243868b6b6aeee2df5e08509bc0ae85e45423
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-12 21:14:35 +0200

    Update de.po.

 po/de.po |  261 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 140 insertions(+), 121 deletions(-)

commit 882cd1fd34a48acdb905614ccd720fd3507e087b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-12 21:13:58 +0200

    Make messages more translator-friendly.

 src/base/dbg.cpp         |    1 +
 src/base/thread.cpp      |    2 +-
 src/main.cpp             |   18 ++++++++++--------
 src/media_data.cpp       |    6 ++++--
 src/media_input.cpp      |   18 +++++++++---------
 src/media_object.cpp     |   10 +++++-----
 src/player_equalizer.cpp |    7 +++----
 src/player_qt.cpp        |    9 ++++++---
 8 files changed, 39 insertions(+), 32 deletions(-)

commit 69a632079aed5bc59cb228c9341dbff6e1b409f4
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-12 07:13:38 +0200

    base/msg: add message functions with indentation level.

 src/base/msg.cpp |  334 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 src/base/msg.h   |   30 +++++
 2 files changed, 337 insertions(+), 27 deletions(-)

commit cd26e53a5dcfd0d2b239a56a3baf306d609df424
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-11 21:14:39 +0200

    Cleanup and document the localedir() function.

 src/main.cpp |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit 18f1befdb11f64f7046fb1e29fcecde380a432cb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-11 12:02:06 +0200

    Move gettext.h from src to src/base.

 src/Makefile.am      |    3 +--
 src/base/Makefile.am |    3 ++-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e7dfd62c9ed2625f18080d26de2f4f15e536fbc0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-11 09:15:18 +0200

    Fix GUI translation for non-utf8 locales.

 src/player_qt.cpp |    2 +-
 src/qt_app.cpp    |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit d565754a0e376f0f04b62cdd45205a64d9518807
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-11 07:29:40 +0200

    Windows: enable translations.

 Makefile.am       |    2 +-
 README.Windows    |    2 +-
 pkg/w32/bino.nsi  |    7 +++++++
 pkg/w32/notes.txt |    2 +-
 src/main.cpp      |   33 ++++++++++++++++++++++++++++++++-
 5 files changed, 42 insertions(+), 4 deletions(-)

commit b623d305602e7c335350a4689f3f555e5016cc16
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-11 06:57:18 +0200

    Add gettext infrastructure and german translation.

 .gitignore                |    2 +
 ABOUT-NLS                 |    2 +
 Makefile.am               |    4 +-
 configure.ac              |    8 +-
 m4/gettext.m4             |  383 ++++++++++++++
 m4/iconv.m4               |  214 ++++++++
 m4/lib-ld.m4              |  110 ++++
 m4/lib-link.m4            |  774 +++++++++++++++++++++++++++
 m4/lib-prefix.m4          |  224 ++++++++
 m4/nls.m4                 |   32 ++
 m4/po.m4                  |  449 ++++++++++++++++
 m4/progtest.m4            |   92 ++++
 po/LINGUAS                |    2 +
 po/Makefile.in.in         |  444 ++++++++++++++++
 po/Makevars               |   41 ++
 po/POTFILES.in            |   24 +
 po/Rules-quot             |   47 ++
 po/boldquot.sed           |   10 +
 po/de.po                  | 1267 +++++++++++++++++++++++++++++++++++++++++++++
 po/en@boldquot.header     |   25 +
 po/en@quot.header         |   22 +
 po/insert-header.sin      |   23 +
 po/quot.sed               |    6 +
 po/remove-potcdate.sin    |   19 +
 src/Makefile.am           |    7 +-
 src/audio_output.cpp      |   35 +-
 src/base/dbg.cpp          |    9 +-
 src/base/exc.cpp          |    9 +-
 src/base/gettext.h        |  280 ++++++++++
 src/base/opt.cpp          |   25 +-
 src/base/str.cpp          |   15 +-
 src/base/thread.cpp       |   17 +-
 src/base/timer.cpp        |   19 +-
 src/lib_versions.cpp      |   11 +-
 src/main.cpp              |  195 ++++----
 src/media_data.cpp        |   11 +-
 src/media_input.cpp       |   21 +-
 src/media_object.cpp      |   69 ++-
 src/player.cpp            |   23 +-
 src/player_equalizer.cpp  |   31 +-
 src/player_qt.cpp         |  343 ++++++------
 src/subtitle_renderer.cpp |   11 +-
 src/video_output.cpp      |    7 +-
 src/video_output_qt.cpp   |   21 +-
 src/xgl.cpp               |   38 +-
 45 files changed, 4996 insertions(+), 425 deletions(-)

commit aab135dd4ff16e7e6598275f47491f8c52647f6c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-10 13:08:49 +0200

    GUI: add big friendly OK buttons to all dialogs.

 src/player_qt.cpp |   30 +++++++++++++++++++++++-------
 1 files changed, 23 insertions(+), 7 deletions(-)

commit b0ef87212703c16eec79156d29a44249b30cc4ec
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-10 12:56:30 +0200

    Media input: add total number of streams to stream names.
    
    ... if more than one stream is present.

 src/media_input.cpp |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit 0b88e72509f742e3a455aeb69d6cd0ba059c8315
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-10 12:56:04 +0200

    Media data: add language information to audio blobs.

 src/media_data.cpp   |   10 +++++++---
 src/media_data.h     |    3 +++
 src/media_object.cpp |    5 +++++
 3 files changed, 15 insertions(+), 3 deletions(-)

commit 496716884c7a787aedd7eb57d0e57bf59ca4b742
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-10 12:49:33 +0200

    Media data: remove subtitle format from subtitle info/name.
    
    The subtitle format is not part of the content description. It is just a
    description of the data format of an individual subtitle box. So remove
    it from the media object template and the info and name.

 src/media_data.cpp   |   52 ++++---------------------------------------------
 src/media_data.h     |    2 +-
 src/media_object.cpp |    1 -
 3 files changed, 6 insertions(+), 49 deletions(-)

commit 21756c10ba2845fdb9cfcc569e2b78c5464791da
Author: Joe <cuchac@email.cz>
Date:   2011-04-10 12:13:47 +0200

    Media object: add support for CODEC_ID_TEXT subtitles.

 src/media_object.cpp |   49 +++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 41 insertions(+), 8 deletions(-)

commit 4c519726ca10d53c2af62e7040941281747ddd74
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 22:24:02 +0200

    GUI: Improve remembering of per-video settings.

 src/player_qt.cpp |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit 36d569c6550bd867c0a2aea34fd8266514e84710
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 20:55:03 +0200

    Prepend stream numbers to stream names.
    
    These are independent of the media object and hopefully less confusing.

 src/media_input.cpp |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit cc51972b9cab9a2d617774fd8d14c802a2fd48fc
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 20:48:18 +0200

    Media data: minor improvement for audio channel names.

 src/media_data.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d53d11e305fb50e2236d10f4b0ba75bd5cc0dc26
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 20:36:21 +0200

    Media input: remove prefixes from stream names.
    
    They were confusing instead of helpful.

 src/media_input.cpp |   21 ++++++---------------
 1 files changed, 6 insertions(+), 15 deletions(-)

commit f34b1a0ee30955d4608d7249b3c4b7785deb14d0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 17:57:06 +0200

    Update Windows build instructions and package file.

 README.Windows    |   97 ++++++++++++++++++++++++++++++++++++++++++++++++++---
 pkg/w32/notes.txt |    2 +
 2 files changed, 94 insertions(+), 5 deletions(-)

commit f6a8d638a6a5a8428672f89c1fac786ecd3153aa
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 17:45:21 +0200

    Port subtitle rendering to Windows.

 src/subtitle_renderer.cpp |   66 +++++++++++++++++++++++++++++++++++++++++++-
 src/subtitle_renderer.h   |    2 +
 2 files changed, 66 insertions(+), 2 deletions(-)

commit 0aa7a523402ee10ef67c2a88f2fb850631b911ec
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 16:26:12 +0200

    configure.ac: find iconv also in external libiconv.

 configure.ac |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 62aea2db79ca63b0e86f75601a9d31b9f4995fa3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 16:25:22 +0200

    Do not report LibASS version.
    
    The meaning of LIBASS_VERSION is entirely unclear (to me).

 src/lib_versions.cpp |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 6a8a72792ad908bba30d678398e6ba6f6d4a64be
Author: Joe <cuchac@email.cz>
Date:   2011-04-09 15:40:51 +0200

    Add subtitle character set conversion support.

 src/controller.h          |    2 +
 src/media_data.cpp        |    7 +++
 src/media_data.h          |    1 +
 src/player.cpp            |    8 +++
 src/player_qt.cpp         |  116 +++++++++++++++++++++++++++++++++++++++++---
 src/player_qt.h           |    5 ++
 src/subtitle_renderer.cpp |   17 ++++++-
 src/video_output.cpp      |    1 +
 8 files changed, 147 insertions(+), 10 deletions(-)

commit 230bd9322a8e12e4e7fcc2a69f69f5d16a6d6556
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 13:51:53 +0200

    Re-add character set conversion to the base module str.
    
    This was previously removed in 429a99371dfea98db8cf280892fa4933f888cb23 because
    it was not used, but we will need it for subtitle character set conversion. If
    portability problems with iconv show up, we'll deal with them then.

 configure.ac     |    1 +
 src/base/str.cpp |   59 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/base/str.h   |    3 ++
 3 files changed, 63 insertions(+), 0 deletions(-)

commit 47284673757234d79d344d87d07b298fec8a1c47
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 11:21:32 +0200

    Add informational note to subtitle dialog.

 src/player_qt.cpp |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 3409f623c0573abd7226725cc82c15d6e3c00038
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 11:16:44 +0200

    Media object: work around FFmpeg bug w.r.t. ASS subtitle durations.

 src/media_object.cpp |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit 78ef2408c21f6b928ae2781afb61f1140a7ba24c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-09 11:00:40 +0200

    Fix subtitle stream selection.

 src/player.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 472b970807f0c22a28942b118cd24a009cb186da
Author: Joe <cuchac@email.cz>
Date:   2011-04-09 10:08:42 +0200

    Make subtitle appearance configurable.

 src/controller.h          |   41 +++++-
 src/media_data.cpp        |   37 +++++-
 src/media_data.h          |    5 +
 src/player.cpp            |   65 ++++++++--
 src/player.h              |    1 +
 src/player_qt.cpp         |  326 ++++++++++++++++++++++++++++++++++++++++++++-
 src/player_qt.h           |   38 ++++++
 src/subtitle_renderer.cpp |   52 ++++++-
 src/subtitle_renderer.h   |   12 ++-
 src/video_output.cpp      |   22 ++-
 src/video_output.h        |    3 +-
 11 files changed, 564 insertions(+), 38 deletions(-)

commit 8c9e30133602018b538f6a76ebd32addd1ab6d62
Author: Joe <cuchac@email.cz>
Date:   2011-04-08 22:01:34 +0200

    Make subtitle streams selectable via keyboard and GUI.

 doc/bino.1               |    6 +++-
 doc/bino.texi            |    6 +++-
 src/controller.h         |    4 +++
 src/main.cpp             |    7 +++--
 src/media_input.cpp      |    9 +++++--
 src/media_input.h        |    3 +-
 src/player.cpp           |   34 +++++++++++++++++++++++++++++
 src/player_equalizer.cpp |    8 ++++++-
 src/player_qt.cpp        |   54 ++++++++++++++++++++++++++++++++++++++++++++-
 src/player_qt.h          |    4 +++
 src/video_output_qt.cpp  |    5 +++-
 11 files changed, 125 insertions(+), 15 deletions(-)

commit daf0018df0afd3c12945fbb94dc6b9e074119aad
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 15:49:33 +0200

    Video output: remove remaining references to alpha framebuffers.
    
    Now that we have subtitle support, it is clear that we will not need an alpha
    channel in the framebuffer (even if we add an on-screen-display in the future).

 src/video_output_qt.cpp |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit b1de160f82d4517375b78065ee8c743918d82942
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 15:44:15 +0200

    Equalizer: add support for subtitles.

 src/media_data.cpp       |   65 ++++++++++++++++++++++++++++++++++++++++++++++
 src/media_data.h         |   14 ++++++++--
 src/player_equalizer.cpp |   43 ++++++++++++++++++++++++-----
 3 files changed, 111 insertions(+), 11 deletions(-)

commit 51678d049ea56c735efba2afca8f77b65f795eba
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 15:30:39 +0200

    Equalizer: make context current in eq_channel outside of frameDraw().

 src/player_equalizer.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a8ce1bf402c83b62ee7a3a8e15dc11a2a0f45e6c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 15:29:15 +0200

    Equalizer: minor comment improvements.

 src/player_equalizer.cpp |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 2ec716acf471c88e1b042bdad5147151e04fe108
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 15:28:02 +0200

    Equalizer: move prepare_next_frame() from node to channel.

 src/player_equalizer.cpp |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 01bb1d5a6818d05d45592fd8a0b996a71dd2c34d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 13:53:44 +0200

    Equalizer: move the video_output class from eq::Window to eq::Channel.
    
    This is because some virtual functions can really only be implemented on
    channel level (e.g. screen_pixel_aspect_ratio, video_display_width, ...).

 src/player_equalizer.cpp |  112 ++++++++++++++++++++++++++-------------------
 src/video_output.cpp     |    4 +-
 src/video_output.h       |   12 +++---
 3 files changed, 73 insertions(+), 55 deletions(-)

commit 94d8cb8d6a7125eeb0e2e24b925cb65bc1c311e5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 12:18:04 +0200

    Equalizer: remove unused and misleading code.

 src/player_equalizer.cpp |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit 7bb2fe24ca145353af9efd62f9a89230ea1673a6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-08 12:17:35 +0200

    Video output: only check subtitle render size if it is valid.

 src/video_output.cpp |   22 +++++++++++++---------
 1 files changed, 13 insertions(+), 9 deletions(-)

commit 380f0057240a5d7ce8d5321ed157b509f01351d0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-07 18:15:28 +0200

    Remove forgotten debugging output.

 src/video_output.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit e16200318a08af03e616dbb2a0c93c48d7bfb863
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-07 18:14:37 +0200

    Fix animated subtitles: rerender subtitle for each frame.

 src/media_data.h     |    7 +++++
 src/video_output.cpp |   66 ++++++++++++++++++++++++++++----------------------
 src/video_output.h   |   11 ++++----
 3 files changed, 50 insertions(+), 34 deletions(-)

commit acdeea9c9a7937045ba09a42ff5b80ad8e67d595
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-07 17:44:52 +0200

    Subtitles: update only the required part of the subtitle texture.
    
    This clears the subtitle texture in GL, and uploads only the bounding box of
    the current subtitle to the texture, which should be much faster in the common
    case because subtitles fill only a small part of the screen.

 src/subtitle_renderer.cpp |  218 +++++++++++++++++++++++++++++++++------------
 src/subtitle_renderer.h   |   45 ++++++++--
 src/video_output.cpp      |   64 +++++++++-----
 src/video_output.h        |    1 +
 4 files changed, 242 insertions(+), 86 deletions(-)

commit 363f4efb1247bb4712f7dd184cb77cbf3dac086c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-07 07:08:20 +0200

    Subtitle renderer: use video frame timestamp for rendering.
    
    Using the subtitle timestamp was a hack that only worked for static subtitles.
    Now, animated subtitles should work correctly.

 src/subtitle_renderer.cpp |    8 ++++----
 src/subtitle_renderer.h   |    5 +++--
 src/video_output.cpp      |    2 +-
 3 files changed, 8 insertions(+), 7 deletions(-)

commit 544b3ad9df33580972ae593e627f6e32f724d8d0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-07 07:03:52 +0200

    Add support for bitmap subtitles.
    
    These are mainly found on DVD video.

 src/media_data.cpp        |    9 +++-
 src/media_data.h          |   26 ++++++++---
 src/media_object.cpp      |   20 ++++++--
 src/subtitle_renderer.cpp |  112 ++++++++++++++++++++++++++++++++-------------
 src/subtitle_renderer.h   |    7 ++-
 src/video_output.cpp      |   19 ++++++--
 src/video_output.h        |    2 +-
 7 files changed, 142 insertions(+), 53 deletions(-)

commit 5308c20b3f650281117c2f7df923327493c1f615
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-05 21:48:06 +0200

    Subtitle renderer: use font-native hinting by default.

 src/subtitle_renderer.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d3ec16e016ffc7500d10d69d4607f36cdfc7772b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-05 21:30:35 +0200

    Fix and improve subtitle rendering.
    
    - Always render subtitles in video display resolution, not in video frame
      resolution. This avoids ugly resizing of rendered text, especially
      noticable for videos using the left-right-half or similar stereo layouts.
      You can now even resize the video window in pause mode and see the
      subtitle getting re-rendered so that it appears as clean as possible.
    
    - Fix aspect ratio of subtitles for screens with non-square pixels.
    
    - Fix overflow errors in subtitle_renderer::blend_ass_image() that
      resulted in wrong color and alpha values.

 src/Makefile.am                   |    2 -
 src/subtitle_renderer.cpp         |   44 +++++------
 src/subtitle_renderer.h           |   10 +-
 src/video_output.cpp              |  157 +++++++++++++++++++++++-------------
 src/video_output.h                |   14 +++-
 src/video_output_render.fs.glsl   |   36 +++++++--
 src/video_output_subtitle.fs.glsl |   49 ------------
 7 files changed, 167 insertions(+), 145 deletions(-)

commit 06cc1e308aaffad984f854ccf30a2a4d660eb930
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-05 06:10:10 +0200

    Subtitle renderer: fix subtitle aspect ratio.

 src/subtitle_renderer.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 193be6cddf702e07b9df165f71b5b9ca051d24e0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-04 21:19:11 +0200

    Video output: fix blending of subtitles.

 src/video_output.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a69f41e8d4a1ef95c8241bb582b7f560dc44c4f4
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-04 20:18:34 +0200

    Video output: use shader to render subtitle.
    
    This allows to convert the subtitle colors to SRGB, which is necessary because
    we render them onto an SRGB texture.

 src/Makefile.am                   |    2 +
 src/video_output.cpp              |   18 ++++++++++++-
 src/video_output.h                |    1 +
 src/video_output_subtitle.fs.glsl |   49 +++++++++++++++++++++++++++++++++++++
 4 files changed, 68 insertions(+), 2 deletions(-)

commit a716ac9c367089bbe1f2e78fa4d172ef0c42faa4
Author: Joe <cuchac@email.cz>
Date:   2011-04-04 19:57:11 +0200

    Add appropriate copyright information.

 src/main.cpp            |    1 +
 src/media_input.cpp     |    2 +-
 src/media_input.h       |    2 +-
 src/media_object.cpp    |    2 +-
 src/media_object.h      |    2 +-
 src/player.cpp          |    1 +
 src/player.h            |    1 +
 src/video_output.cpp    |    1 +
 src/video_output.h      |    1 +
 src/video_output_qt.cpp |    1 +
 10 files changed, 10 insertions(+), 4 deletions(-)

commit d9e52fe84875df0e903bade75624b0308aaf63dd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-04 12:59:46 +0200

    Require FFmpeg >= 0.6.90-rc0.

 configure.ac         |    8 ++++----
 src/media_object.cpp |   15 +++++----------
 2 files changed, 9 insertions(+), 14 deletions(-)

commit 84b3c000f0373f0da70bdc707bd5b8add0e5b592
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-04 05:55:40 +0200

    Subtitle renderer: minor fix for plain text subtitles.

 src/subtitle_renderer.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit df1af1e60ae53d25138e0edfcaef8ce49fe6da44
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-04 05:43:31 +0200

    Subtitle renderer: do not needlessly set parameters.
    
    Unchanging parameters are now only set once during initialization,
    and parameter defaults are not explicitly set anymore.

 src/subtitle_renderer.cpp |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 49804e30c3bfa6de741ef5a9d0d8d7d6d75b52f8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-04 05:35:32 +0200

    Subtitle renderer: fix aspect ratio of subtitles.
    
    This sets the aspect ratio of subtitles to the aspect ratio of the video frame,
    so that subtitles do not appear stretched e.g. for left-right-half videos.

 src/subtitle_renderer.cpp |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 71b76b46c800df3c87e5f247d9211bb6b76f84e6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-03 21:26:22 +0200

    Video output: slightly simplify subtitle texture rendering.

 src/video_output.cpp |   34 ++++++++++++++++------------------
 1 files changed, 16 insertions(+), 18 deletions(-)

commit 3df15087ef08c69e1394699028c1fffd7914ee0d
Author: Joe <cuchac@email.cz>
Date:   2011-04-03 21:23:08 +0200

    Media input: ignore subtitle streams when computing duration.

 src/media_input.cpp |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit c50a7a25af70691dd7bbec02db9e56172f55d23e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-03 21:20:42 +0200

    Subtitle renderer: use bgra32 format, for consistency.

 src/subtitle_renderer.cpp |   27 ++++++++++++++-------------
 src/subtitle_renderer.h   |    6 +++---
 src/video_output.cpp      |    2 +-
 3 files changed, 18 insertions(+), 17 deletions(-)

commit 3bbd06f360d4446ab02bdd7dd0bfb8697f2d8f36
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-03 18:34:05 +0200

    Subtitle renderer: add support for plain text subtitles.

 src/subtitle_renderer.cpp |   20 +++++++++++++++++++-
 1 files changed, 19 insertions(+), 1 deletions(-)

commit 7b7cde1b9818ef84cbbb0f555cccc60e1025461c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-03 18:10:52 +0200

    Media object: avoid crash on closing an unsuccessfully opened file.

 src/media_object.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 44e3ce23328d2c8ece48ce3dc204d7261c6fbc6e
Author: Joe <cuchac@email.cz>
Date:   2011-04-03 18:05:23 +0200

    Add subtitle handling and rendering.

 src/player.cpp           |   70 ++++++++++++++++++++++++++++++++++++++++++++-
 src/player.h             |    8 ++++-
 src/player_equalizer.cpp |    3 +-
 src/video_output.cpp     |   63 ++++++++++++++++++++++++++++++++++++++++-
 src/video_output.h       |    8 ++++-
 src/video_output_qt.cpp  |    2 +-
 6 files changed, 146 insertions(+), 8 deletions(-)

commit 9c79430a307067d8057e153a2b4ec37034d28950
Author: Joe <cuchac@email.cz>
Date:   2011-04-03 18:03:50 +0200

    Add subtitle decoding support, initially for text and ASS subtitles.

 AUTHORS              |    1 +
 doc/bino.1           |    6 +-
 doc/bino.texi        |    5 +-
 src/main.cpp         |    8 +-
 src/media_input.cpp  |  139 +++++++++++++++++-
 src/media_input.h    |   38 +++++-
 src/media_object.cpp |  413 ++++++++++++++++++++++++++++++++++++++++++++++----
 src/media_object.h   |   34 +++-
 8 files changed, 594 insertions(+), 50 deletions(-)

commit bed1064c5e6a691018763c941f2d94e4ddfa391b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-03 18:01:16 +0200

    Add subtitle media data type.

 src/media_data.cpp |   57 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/media_data.h   |   52 ++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 108 insertions(+), 1 deletions(-)

commit 97a71015d6d13491c4e5e4ca2b8757889beb13c5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-03 17:58:36 +0200

    Add subtitle renderer based on LibASS.

 configure.ac              |    9 ++
 src/Makefile.am           |    5 +-
 src/lib_versions.cpp      |   24 ++++++
 src/subtitle_renderer.cpp |  201 +++++++++++++++++++++++++++++++++++++++++++++
 src/subtitle_renderer.h   |   55 ++++++++++++
 5 files changed, 292 insertions(+), 2 deletions(-)

commit ae512c212521e2caf8feb77a74a354870cc71205
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-31 06:38:14 +0200

    Fix aspect ratio in hdmi-frame-pack output mode.

 src/video_output.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 64a2d1b31018322516b8191e909f7c50f92a0eeb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-29 14:49:23 +0200

    Equalizer: enable mouse-based seeking.
    
    The click position relative to the canvas is used to determine the destination
    position in the stream.

 src/player_equalizer.cpp |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 6b0b455b809b9f08f550df7e5ec29a95f31f8800
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-22 06:53:35 +0100

    Equalizer: never change the viewport provided by Equalizer.

 src/player_equalizer.cpp |    2 +-
 src/video_output.cpp     |   16 +++++++++-------
 src/video_output.h       |    9 ++++-----
 3 files changed, 14 insertions(+), 13 deletions(-)

commit af263aa69c6152660747c4bfa9e123bcd9cb2318
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-21 21:07:16 +0100

    Documentation: improve documentation of hdmi-frame-pack mode.
    
    This adds a link to Daniel Fratzscher's description of the configuration of
    HDMI frame pack mode on GNU/Linux.

 doc/bino.texi |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 6b893a1e78592e502ccaff0cbf4c6bb4d4c3d32f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-21 21:00:37 +0100

    Fix viewports for separate-view output modes.
    
    The output modes left_right, left_right_half, top_bottom, top_bottom_half, and
    hdmi_frame_pack now use viewports that split aspect ratio borders equally
    between the two views.

 src/player_equalizer.cpp |    6 ++-
 src/video_output.cpp     |  164 +++++++++++++++++++++++++++------------------
 src/video_output.h       |    6 +-
 3 files changed, 106 insertions(+), 70 deletions(-)

commit 6958295b09f35c6d2151984ed19c17e75cb21cb4
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-18 18:20:32 +0100

    Add output mode hdmi-frame-pack.
    
    This mode has left view top, right view bottom, plus a number of blank lines
    separating the two. It is intended for forced HDMI 3D frame packing modes
    720p-3D and 1080p-3D.

 doc/bino.1           |    4 +++
 doc/bino.texi        |    4 +++
 src/main.cpp         |    2 +
 src/media_data.cpp   |    7 +++++
 src/media_data.h     |    1 +
 src/player_qt.cpp    |   61 +++++++++++++++++++++++++++----------------------
 src/video_output.cpp |   29 +++++++++++++++++++++--
 7 files changed, 78 insertions(+), 30 deletions(-)

commit c025d2e67a533d27f1ffe33f6d5edd78307f68bb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-18 09:22:37 +0100

    Improve Qt video area resizing.

 src/video_output_qt.cpp |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 90a267884946886a860a633632cdbf086e793f2c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-14 20:48:13 +0100

    Update credits.

 AUTHORS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 71e5c7f3ee4295373eb9d7eee4a717aaa003082d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-10 20:06:55 +0100

    Fix aspect ratio calculations for multi-monitor desktops.
    
    This reverts the aspect ratio handling to the 0.8.1 version, to fix wrong
    aspect ratios on multi-monitor desktops on Windows. Reported and diagnosed by
    Jordanis Kiriakidis.

 src/player_equalizer.cpp |    3 +--
 src/video_output.cpp     |   14 --------------
 src/video_output.h       |    5 +----
 src/video_output_qt.cpp  |   21 ++++++++++++---------
 src/video_output_qt.h    |    3 +--
 5 files changed, 15 insertions(+), 31 deletions(-)

commit 1bae185ccbb12a166788cdb8d70ea158e5e08dea
Author: Jürgen Löb <juergen.loeb@main-host.de>
Date:   2011-03-08 19:34:33 +0100

    Disable alpha in the GL format.
    
    This avoids problems with OpenGL implementations that do not support alpha with
    quad-buffer contexts.

 src/video_output_qt.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 0a703cc26bdc6773b96dd8d5be27904fc2f6ad9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-05 10:30:51 +0100

    Windows: simplify instructions to create binaries.

 README.Windows |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit a0d2cfc4a20024c0cd9365d3c090b155cf792a62
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-04 15:13:12 +0100

    Update documentation of file name conventions.

 doc/bino.texi |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit fe26b331705c28de6157a6c2b17ddf34fcafb33a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-04 06:42:54 +0100

    Do not sleep after processing events.
    
    We do not know how long event processing takes, so only sleep when there are no
    events to process.

 src/player.cpp           |    7 +++++--
 src/player_equalizer.cpp |    1 +
 src/video_output.h       |    1 +
 src/video_output_qt.cpp  |    7 ++++++-
 src/video_output_qt.h    |    1 +
 5 files changed, 14 insertions(+), 3 deletions(-)

commit 731ee3ea8b2855283fc3d3ae3db0983f48a62db7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-02 09:01:30 +0100

    Rebuild Qt ressources when necessary.

 src/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cab0d49aa0c1a7cf8528552caaf41e66d0e3ef1f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-02 08:53:02 +0100

    Bump version to 0.9.2.

 AUTHORS      |    2 +-
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 87f5a1bcdb129c061095918c4342d5a937fe502b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-02 06:37:36 +0100

    Media data: micro optimization.
    
    Copy the video data in one piece if possible, and line-by-line only when
    necessary.

 src/media_data.cpp |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit a70007bb3399edfe793ce7bb1027c7cb4fc84612
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-01 21:36:58 +0100

    Fix video stream names.
    
    Use the raw width/height information in the stream name, not the width/height
    information that depends on the stereo layout.

 src/media_data.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 729f33c1f882ba53e8a6eeb965617e7093d77df2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-01 21:34:02 +0100

    GUI: Improve resizing behaviour.

 src/video_output_qt.cpp |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 32eb152a5f97e0789153aafdcbfd475b69f2fe8a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-01 17:36:22 +0100

    Media object: remove wrong line from error handling path.

 src/media_object.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit ac74520f8cc7630eada17f8dc6347a4eb1fcc1cd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-01 17:33:08 +0100

    Media object: never drop video packets.
    
    This partially reverts commit c5a247c7c3783b28182aef0e63e366d8aeefc574. We
    cannot drop video packets because of their interdependencies: it would mess up
    decoding.
    
    So we restrict this packet-dropping-because-of-missing-timestamp to audio
    packets. Such packets should not have interdependencies, and timestamps are
    more important there because the audio clock is the master clock.

 src/media_object.cpp |   35 ++++++++++++++---------------------
 1 files changed, 14 insertions(+), 21 deletions(-)

commit d5cf814d3fc83944592a4214f500faa7a2df7545
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-01 17:06:01 +0100

    Equalizer: require >= 0.9.3 (aka 1.0-beta).
    
    This allows to simplify the instructions on how to build Bino with support for
    Equalizer.

 configure.ac  |    2 +-
 doc/bino.texi |   11 +++--------
 2 files changed, 4 insertions(+), 9 deletions(-)

commit b5d527e549da5a447a91c4c69b2950855d7e26e5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-28 12:47:10 +0100

    Windows: update packaging rules and instructions.

 README.Windows    |   41 ++++++++++++++---------------------------
 configure.ac      |    1 +
 pkg/w32/bino.nsi  |   20 ++++++++++----------
 pkg/w32/notes.txt |    1 +
 4 files changed, 26 insertions(+), 37 deletions(-)

commit 5976b83a65459827a2c6dd41e64f34c89859d1e0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-28 08:37:53 +0100

    Media object: use video timestamp fallbacks if necessary.
    
    This should never be necessary, but there are all kinds of problematic videos...

 src/media_object.cpp |   23 +++++++++++++++++++----
 1 files changed, 19 insertions(+), 4 deletions(-)

commit c5a247c7c3783b28182aef0e63e366d8aeefc574
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-28 07:10:19 +0100

    Media object: make sure that packets have timestamps after a seek.

 src/media_object.cpp |   58 ++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 42 insertions(+), 16 deletions(-)

commit 25fe9b946781f9574852ce9fe914b15359684835
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-28 06:49:55 +0100

    Media object: when no audio timestamp is available, guess.

 src/media_object.cpp |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 8e1ee5e153efbbde420f321b395fc8d01eb9ee43
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-28 06:44:16 +0100

    Avoid clang compiler warning.

 src/media_data.cpp |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit ee0fd75f492157061aec2c2e76c73cbdbda8858f
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2011-02-27 14:44:22 +0100

    configure.ac: make libavformat prerequisites explicit.
    
    It seems that sometimes the automatic dependency handling of pkg-config fails
    to link libavcodec and libavutil.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f2cb7edf2b67441055212828e19ff24ca5e97c04
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-27 12:02:40 +0100

    Avoid a compiler warning.

 src/media_object.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 230b665430437232247e3e0ba2c3709a850ded33
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-27 11:57:32 +0100

    Media object: fix audio timestamp handling.
    
    This removes the (wrong) approach of commit
    1ab9e8cd4e9a9e685b3624eb0cd38fc7ae847d21, and fixes seeking with .ogv and .webm
    test cases. Finally.

 src/media_object.cpp |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 3f26ec5171f028a04235f48956e27944450f1714
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-27 01:34:51 +0100

    Media object: do not destroy video packets before they are consumed.

 src/media_object.cpp |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit 3758874a571f9ef1834cf7d37031dd835f2b0e29
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-27 00:32:38 +0100

    Equalizer: fix video frame synchronization on slave nodes
    
    after starting the player and after seeking.

 src/player_equalizer.cpp |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit f7d75e011a50239d0fe5b05124d198ad5f03a8e2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-27 00:15:14 +0100

    Equalizer: on a slave node, read a frame after seeking.
    
    This avoids a one-frame difference between master and slave nodes after seeking.

 src/player_equalizer.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1ab9e8cd4e9a9e685b3624eb0cd38fc7ae847d21
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 23:45:48 +0100

    Media object: make timestamp handling a little bit more robust.
    
    This fixes seeking in a .webm video test case.

 src/media_object.cpp |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit b5fca890b049c4d9074bbbdfcb69f7376aaec588
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 20:58:43 +0100

    GUI: Add license tab to the About Box.

 src/player_qt.cpp    |   10 ++++++++++
 src/qt_resources.qrc |    1 +
 2 files changed, 11 insertions(+), 0 deletions(-)

commit a9562de7d2aa4bbd1202bb548d19dad3c6be5f29
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 20:44:23 +0100

    Keep AUTHORS information in a single place, and update it.

 AUTHORS              |   16 +++++++++-------
 src/player_qt.cpp    |   22 +++-------------------
 src/qt_resources.qrc |    1 +
 3 files changed, 13 insertions(+), 26 deletions(-)

commit b97baa23fa3752ad394363e8c1e5c147a19f139f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 18:17:11 +0100

    Bump version to 0.9.1.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 02922792bf476a106aa22c4451067edcf52a59ee
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 18:16:45 +0100

    GUI: Add a "Team" tab to the About Box.

 src/player_qt.cpp |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit db0403ab4cbfd5974e3a52484ea7f83272b27e27
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 18:15:17 +0100

    Make Qt interpret C strings as UTF-8.
    
    I cannot believe that this is not the default.

 src/qt_app.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 5cdfdbfb102e28905381489b637f24e8a3d7571b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 16:59:01 +0100

    Windows: Document requirement of pthreads.

 README.Windows |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 36f6e70530c06a3b0918b94d458e0f66e04441bd
Author: Tobias Lange <tobias@longly-home.de>
Date:   2011-02-26 16:54:43 +0100

    Improve logo.

 src/logo/bino_logo.png |  Bin 23017 -> 23222 bytes
 src/logo/bino_logo.svg |    8 ++++----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 9055755fc5ef353e1757e62bec6bacdb1f03abeb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 14:31:47 +0100

    Use the new logo, remove the old one.

 Makefile.am             |    2 +-
 pkg/w32/bino.nsi        |    2 +-
 src/Makefile.am         |   12 ++++++++++--
 src/icons/appicon.ico   |  Bin 1078 -> 0 bytes
 src/icons/appicon.png   |  Bin 3657 -> 0 bytes
 src/player_qt.cpp       |    4 ++--
 src/qt_resources.qrc    |    3 ++-
 src/video_output_qt.cpp |    2 +-
 8 files changed, 17 insertions(+), 8 deletions(-)

commit f16c7545f4dfc4fde683c3b6f9890ea2b34e93d9
Author: Tobias Lange <tobias@longly-home.de>
Date:   2011-02-26 14:31:13 +0100

    Add a new logo.

 src/logo/README                    |   17 +
 src/logo/bino_logo.ico             |  Bin 0 -> 32038 bytes
 src/logo/bino_logo.png             |  Bin 0 -> 23017 bytes
 src/logo/bino_logo.svg             | 1081 ++++++++++++++++++++++++++++++++++++
 src/logo/bino_logo_small.svg       | 1011 +++++++++++++++++++++++++++++++++
 src/logo/bino_logo_small_16x16.png |  Bin 0 -> 714 bytes
 src/logo/bino_logo_small_32x32.png |  Bin 0 -> 1698 bytes
 src/logo/bino_logo_small_48x48.png |  Bin 0 -> 2554 bytes
 src/logo/bino_logo_small_64x64.png |  Bin 0 -> 3914 bytes
 9 files changed, 2109 insertions(+), 0 deletions(-)

commit 2e503d672b639e89fcb909dc70b9764bc042703e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-26 08:25:45 +0100

    Print Qt messages through the base msg module.

 src/qt_app.cpp |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit a30b35646601da9247e83e7a6f2e64ed0ca7b8e1
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2011-02-26 07:35:39 +0100

    Mac OS X: Fix opening of files from the command line.

 src/main.cpp   |    2 ++
 src/qt_app.cpp |   10 ++++++++--
 src/qt_app.h   |    9 +++++++++
 3 files changed, 19 insertions(+), 2 deletions(-)

commit 35abf9c953949cda3b60d6302ad04180938fe4b8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-23 06:31:12 +0100

    Equalizer: minor cleanup (avoid bumpyCaps).

 src/player_equalizer.cpp |   32 ++++++++++++++++----------------
 1 files changed, 16 insertions(+), 16 deletions(-)

commit b7a13a7cf193924421b23a36ff6eb5900d751621
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-23 06:26:35 +0100

    Equalizer: use multithreaded input also on slave nodes.

 src/player_equalizer.cpp |   30 +++++++++++++++++++++++++++---
 1 files changed, 27 insertions(+), 3 deletions(-)

commit 7f8a6f76a588ae34b187e84c73916ce57ff5613e
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2011-02-22 13:55:32 +0100

    Mac OS X compile fixes

 src/audio_output.h   |    9 +++++++--
 src/lib_versions.cpp |    9 +++++++--
 2 files changed, 14 insertions(+), 4 deletions(-)

commit e018df654a090dfb2a0e68647496e0c2fd516f38
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-22 08:52:49 +0100

    Media object: use fixed temporary buffers for audio.
    
    This avoids malloc/free for every single audio packet.

 src/media_object.cpp |   25 ++++++++++++++++++-------
 1 files changed, 18 insertions(+), 7 deletions(-)

commit 36bbc46de75214d1f85b8ad1b4f31ff8fab9c5b8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-22 08:40:50 +0100

    Media object: improve packet buffering.
    
    A few packets (instead of only one) are now buffered asynchronously, to avoid
    waiting for audio and video packets in many common situations.

 src/media_object.cpp |   52 +++++++++++++++++++++++++++----------------------
 1 files changed, 29 insertions(+), 23 deletions(-)

commit 66f327e182a2d486690f04d4dbbbbfeb603886f1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-21 13:35:28 +0100

    Do not crash when opening a file without video streams.

 src/media_input.cpp |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit d75b70419e7adafb71724e4c6ef4855fc8aa237e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-21 13:20:55 +0100

    Minor improvement of the base thread module.

 src/base/thread.cpp |  148 ++++++++++++++++++++++++++++-----------------------
 src/base/thread.h   |   17 +++---
 2 files changed, 91 insertions(+), 74 deletions(-)

commit c95361737f0cdecff39e35192b89cd29cfac81ba
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-21 06:58:46 +0100

    Fix video stream selection.

 src/media_input.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7ebb4d55b8951cfd4fe299761e2b2c9468e78d2c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-20 19:43:25 +0100

    GUI: Fix handling of errors that occur during playback.

 src/player_qt.cpp |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit e102a54a5326014e5764f11091a849a704b49aec
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-20 19:38:29 +0100

    Improve closing of input files.

 src/media_input.cpp  |   22 ++++++++++++++--------
 src/media_object.cpp |   18 +++++++++++++++++-
 2 files changed, 31 insertions(+), 9 deletions(-)

commit e0a7c6f22de8163b2591e19aad96ed123b7fa211
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-20 12:38:44 +0100

    Use multithreaded reading and decoding for better performance.
    
    We now have a reader thread per media object. This thread reads packages and
    puts them into the appropriate queues.
    
    For every stream and its packet queue, we have a decoder thread (audio or
    video). These decoder threads can run concurrently.
    
    Once a packet is consumed by a decoder, the reader thread is started to get a
    new one asynchronously.
    
    Similarly, once a video frame is consumed by the video output
    (via prepare_next_frame()), or an audio blob is consumed by the audio output
    (via data()), we start the decoder thread to decode new data asynchronously.

 configure.ac         |    1 +
 src/audio_output.cpp |   24 ++-
 src/audio_output.h   |   26 ++--
 src/base/Makefile.am |    3 +-
 src/base/thread.cpp  |  151 ++++++++++++++
 src/base/thread.h    |  152 ++++++++++++++
 src/media_input.cpp  |  110 ++++++++---
 src/media_input.h    |    3 +
 src/media_object.cpp |  531 ++++++++++++++++++++++++++++++++++----------------
 src/media_object.h   |   11 +-
 src/player.cpp       |   95 ++++++---
 src/player.h         |    8 +-
 12 files changed, 854 insertions(+), 261 deletions(-)

commit 7d22db9f7c0af36377db35fde207671ad3af2040
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-20 11:43:09 +0100

    Improve the base msg module for multithreaded situations.
    
    Now, messages from different threads are not intermixed anymore.

 src/base/msg.cpp |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit 0c9ce1f2f651395374a0b6edb5b0b3250bd0b9e2
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2011-02-20 08:47:19 +0100

    Equalizer: re-add setting of error codes.
    
    (This was accidentaly removed during the rewrite.)

 src/player_equalizer.cpp |   51 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)

commit c10fb59331b55238b5aa796e692b7dc25b532f7a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-19 23:11:05 +0100

    Fix mouse-based seeking in non-GUI mode.

 src/video_output_qt.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 64dea2eacefb8ddad3cafbb4f9f59966abcdd55d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-19 23:08:54 +0100

    Fix application icon in non-GUI mode.

 src/video_output_qt.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 84a15084cf40184ca78c35aba247dbe1ba6909d2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-18 08:35:31 +0100

    Revert "Video output: use separate thread for rendering."
    
    This reverts commit 7125556be5d306420948ff6a6a64382ae24d13a7.

 src/qt_app.cpp          |    7 ----
 src/video_output.cpp    |    5 +++
 src/video_output.h      |    3 +-
 src/video_output_qt.cpp |   92 ++++++-----------------------------------------
 src/video_output_qt.h   |   39 +-------------------
 5 files changed, 20 insertions(+), 126 deletions(-)

commit 409d2dc3a37f376c654a29ee3355bf88f9a57c76
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-18 07:15:15 +0100

    Revert "Player: do not busy loop when there's nothing to do."
    
    This reverts commit b04b4a027872d2f5c7127a768005b6ea6e6d0916.

 src/player.cpp |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit b04b4a027872d2f5c7127a768005b6ea6e6d0916
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-18 07:00:31 +0100

    Player: do not busy loop when there's nothing to do.

 src/player.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 7125556be5d306420948ff6a6a64382ae24d13a7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-18 06:44:20 +0100

    Video output: use separate thread for rendering.
    
    This avoids the GL buffer swap to block the main thread, which can be a problem
    especially since sync-to-vblank is enabled.

 src/qt_app.cpp          |    7 ++++
 src/video_output.cpp    |    5 ---
 src/video_output.h      |    3 +-
 src/video_output_qt.cpp |   92 +++++++++++++++++++++++++++++++++++++++++------
 src/video_output_qt.h   |   39 +++++++++++++++++++-
 5 files changed, 126 insertions(+), 20 deletions(-)

commit 569c9ca78efa6b8b212893d26f30a343351edd28
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-17 21:10:42 +0100

    Video output: do not prohibit keyboard actions in non-GUI mode.

 src/video_output_qt.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d21fc40d12e30f025d6130de05b588d051a53809
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-16 22:10:15 +0100

    GUI: improve update of in/out widget.

 src/player_qt.cpp |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

commit 0dc0b7984429149a5064da5d1dcc545460e9251c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-16 21:58:20 +0100

    GUI: add some safety checks for video and audio stream indices.

 src/player_qt.cpp |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 6ef45f3b4cbb5a46d9e5756d497c3d83a8c70be0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 21:16:29 +0100

    GUI: the video area must only react on keyboard input during playback.

 src/video_output_qt.cpp |   24 +++++++++++++++++++-----
 src/video_output_qt.h   |    1 +
 2 files changed, 20 insertions(+), 5 deletions(-)

commit 04d5b8ba788b425c380431ba3c98329b93e13a10
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 21:15:54 +0100

    GUI: always exit fullscreen mode when stopping playback.

 src/player.cpp |   50 ++++++++++++++++++--------------------------------
 src/player.h   |    3 +++
 2 files changed, 21 insertions(+), 32 deletions(-)

commit 6e329df6a1c69584b5dff247e4b1b77051888bd3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 20:45:02 +0100

    GUI: Disable controls when opening invalid input files.

 src/player_qt.cpp |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 24265bafb5293dd3b7c8c441378398b63eccf4e9
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 20:38:59 +0100

    GUI: Clean up About Box.

 src/player_qt.cpp |   67 +++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 53 insertions(+), 14 deletions(-)

commit 721f76b7019c666a8ea55ae36ffb47cb0ba5cbee
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 20:38:36 +0100

    configure.ac: make package name upper case.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dec838ee66d952bed09e63893cf66cb0ded3b9eb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 19:59:06 +0100

    Video output: properly handle exceptions during playback.

 src/video_output_qt.cpp |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit f22a265ff3837c27ae22c83dabdf8ac8032e0e20
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 17:47:12 +0100

    Render shader: remove a space that upsets picky free OpenGL drivers.

 src/video_output_render.fs.glsl |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d2427662c0483ef5f5f4939968e695dbee080d4f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 16:38:22 +0100

    Improve Dubois anaglyph methods.
    
    According to E. Dubois, the matrices are intended to be applied to linear RGB
    and not sRGB. Furthermore, the red/cyan matrices (of uncertain origin) were
    replaced with ones published by E. Dubois.

 src/video_output_render.fs.glsl |   80 +++++++++++++++++++++------------------
 1 files changed, 43 insertions(+), 37 deletions(-)

commit 2804c904c06b17630ec5ba331f116c2243ba3a05
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 10:25:46 +0100

    Disable sync-to-vblank in benchmark mode.

 src/player.cpp          |    2 +-
 src/player_qt.cpp       |    8 ++++----
 src/player_qt.h         |    3 ++-
 src/video_output_qt.cpp |    8 ++++++--
 src/video_output_qt.h   |    2 +-
 5 files changed, 14 insertions(+), 9 deletions(-)

commit 6f4c28fdae1f5be3dbb0563475e0e58a4fd26093
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 10:04:48 +0100

    Render shader: Work around NVIDIA driver limitations.

 src/video_output_render.fs.glsl |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit 1f6bf6be6b3cd7a407b12b2350a744c275f45aec
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 07:08:31 +0100

    GUI: Clear video area when video reaches its end.

 src/player.cpp |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 9b719c7e3c9b05dd206eb5e840c008beaaea24a8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 06:54:37 +0100

    GUI: minor cleanup.

 src/player_qt.cpp |    4 ++--
 src/player_qt.h   |    1 -
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 2bb47ff2cbf69f60a24e840e2b18b50a207c8fc4
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-15 06:51:01 +0100

    Add/update Dubois method for all color anaglyph types.
    
    This adds green-magenta-dubois and amber-blue-dubois, and replaces
    the matrices in red-cyan-dubois with those used by E. Dubois.

 doc/bino.1                      |   14 +++++---
 doc/bino.texi                   |   12 ++++--
 src/main.cpp                    |   12 ++++--
 src/media_data.cpp              |   42 +++++++++++++++-------
 src/media_data.h                |    6 ++-
 src/player_qt.cpp               |   68 +++++++++++++++++++++--------------
 src/video_output.cpp            |   24 ++++++++-----
 src/video_output_render.fs.glsl |   74 ++++++++++++++++++++++++---------------
 8 files changed, 159 insertions(+), 93 deletions(-)

commit 915d53155a1d91cedce4fc99c93e0efebe6bacb5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 21:54:29 +0100

    Add support for amber/blue anaglyph glasses.

 doc/bino.1                      |    6 ++++++
 doc/bino.texi                   |    6 ++++++
 src/main.cpp                    |    6 ++++++
 src/media_data.cpp              |   21 +++++++++++++++++++++
 src/media_data.h                |    3 +++
 src/player_qt.cpp               |   21 +++++++++++++++++++++
 src/video_output.cpp            |   13 +++++++++++--
 src/video_output_render.fs.glsl |   18 +++++++++++++++++-
 8 files changed, 91 insertions(+), 3 deletions(-)

commit 99cf5c9f675e18f49b0cd271882b47f3e045ec3d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 21:37:14 +0100

    GUI: Disabled unsupported ComboBox entries.

 src/player_qt.cpp |   59 +++++++++++++++++++++++++++-------------------------
 src/player_qt.h   |    1 +
 2 files changed, 32 insertions(+), 28 deletions(-)

commit 104331c462fa42cc66e9cb51c93fd46860c97eba
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 13:54:24 +0100

    Equalizer: clean up.

 src/player_equalizer.cpp |   33 +++++++--------------------------
 1 files changed, 7 insertions(+), 26 deletions(-)

commit 906c7945ad5fd258c2997ee1ce303f07569585fd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 13:46:13 +0100

    Equalizer: fix keyboard interaction.

 src/player.cpp           |   55 ++++++++++++++++++++++++++++++----------------
 src/player_equalizer.cpp |   10 ++++++-
 2 files changed, 44 insertions(+), 21 deletions(-)

commit 3f2ba205a15f93bc8182bd5fcc03d12a4426b9c0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 13:33:33 +0100

    Player: clean up and add comments.

 src/player.cpp |   17 ++++---
 src/player.h   |  145 ++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 94 insertions(+), 68 deletions(-)

commit 8e07b3c8450b14a1f45acbf1a732a0e604433a4c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 13:12:46 +0100

    Equalizer: fix video frame loading.

 src/player.h             |    4 ++--
 src/player_equalizer.cpp |   38 ++++----------------------------------
 2 files changed, 6 insertions(+), 36 deletions(-)

commit 2fa2ca14f96e58cf29779c883eba8a27f56ab6b8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 12:03:29 +0100

    Always clear video area before displaying a frame and after context recreation.

 src/video_output.cpp    |    2 +-
 src/video_output_qt.cpp |    2 ++
 2 files changed, 3 insertions(+), 1 deletions(-)

commit a37be3e286818610283149b918f029bcbb264bb9
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-14 11:35:38 +0100

    GUI: Fix recreation of GL context.

 src/video_output.cpp    |   13 ++++++-------
 src/video_output_qt.cpp |    4 ++--
 2 files changed, 8 insertions(+), 9 deletions(-)

commit 6f09ac72483d1ea3103506066012844147c4d4bb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 21:57:30 +0100

    Add support for more anaglyph types.
    
    Added:
    red-green-monochrome
    red-blue-monochrome
    green-magenta-monochrome
    green-magenta-half-color
    green-magenta-full-color

 doc/bino.1                      |   25 +++++--
 doc/bino.texi                   |   24 ++++--
 src/main.cpp                    |  145 ++++++++++++++++++++------------------
 src/media_data.cpp              |   67 ++++++++++++++----
 src/media_data.h                |   13 +++-
 src/player.cpp                  |    2 +-
 src/player_qt.cpp               |   91 +++++++++++++++++--------
 src/video_output.cpp            |   39 +++++++---
 src/video_output_render.fs.glsl |   39 +++++++---
 9 files changed, 287 insertions(+), 158 deletions(-)

commit 90e4ba79a239073a4b04cc68c55e7c64a0035267
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 20:36:23 +0100

    Video output: mark the display() function as protected.

 src/player_equalizer.cpp |    6 ++++++
 src/video_output.h       |   23 ++++++++++++-----------
 2 files changed, 18 insertions(+), 11 deletions(-)

commit ceedddb4ac7ce30b1a65e4d9e92271311939f9cd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 13:15:42 +0100

    GUI: Fix drag-and-drop for local files on Windows systems.

 src/player_qt.cpp |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 3ceeb0b240456ee26158184921fec4f9d6768b12
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 13:07:02 +0100

    GUI: Clear the video area when stopping the video.

 src/player.cpp       |    2 ++
 src/video_output.cpp |    7 ++++++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit f5c80cbd2ec8fdc828b6bd05f0062c519436d2ee
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 12:56:21 +0100

    Fix crash caused by invalid video/audio stream defaults.

 src/player.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit baf349fd57d30eb036e1546a945941aa82b402e9
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 12:41:18 +0100

    Equalizer: fix compilation errors caused by the rewrite, and cleanup.

 src/media_data.cpp       |   32 ++++
 src/media_data.h         |    8 +-
 src/player.cpp           |   90 ++++++++--
 src/player.h             |   19 ++-
 src/player_equalizer.cpp |  451 ++++++++++++++++------------------------------
 5 files changed, 279 insertions(+), 321 deletions(-)

commit 050be237112189a6298dee8745343be1197e7876
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 12:40:52 +0100

    Video output: improve an error message.

 src/video_output.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 03b20c0f046ea4a8865318fc730998e10b209ed5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 10:42:51 +0100

    End all messages with '.' consistently.

 src/audio_output.cpp    |   32 ++++++------
 src/main.cpp            |  120 +++++++++++++++++++++++-----------------------
 src/media_object.cpp    |   38 +++++++-------
 src/player.cpp          |   14 +++---
 src/video_output_qt.cpp |    6 +-
 src/xgl.cpp             |   12 ++--
 6 files changed, 111 insertions(+), 111 deletions(-)

commit 72afdff2b4c477161015c46656c1025c1c91df6b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-13 10:31:31 +0100

    GUI: Fix error message copy-and-paste error.

 src/player_qt.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e85863a55954ddfa91a6c3b5548fe3c3385362a5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 17:55:35 +0100

    Bump version to 0.9.0.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a9da8523821cdafdca6742039306e4f2bb9a53b0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 17:49:41 +0100

    Improve library version listing.

 src/lib_versions.cpp |  121 +++++++++++++++++++++++++++++++------------------
 src/player_qt.cpp    |    8 ++--
 2 files changed, 80 insertions(+), 49 deletions(-)

commit d81ad58e1a49d6afe94fcec0a814003be056ecc9
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 17:18:24 +0100

    Update documentation.

 doc/bino.1        |   38 +++++++++++++++++++++++++----------
 doc/bino.texi     |   57 ++++++++++++++++++++++++++++++++++------------------
 src/main.cpp      |    2 +
 src/player_qt.cpp |    2 +
 4 files changed, 68 insertions(+), 31 deletions(-)

commit 78005a739685424cf15246f4567671174b812e7a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 17:02:17 +0100

    Add support for switching video and audio streams during playback.

 src/controller.h        |   26 +++++++
 src/main.cpp            |    4 +
 src/media_input.cpp     |   23 ++++++-
 src/media_input.h       |   12 ++++
 src/player.cpp          |   94 ++++++++++++++++++++++++---
 src/player.h            |    3 +
 src/player_qt.cpp       |  166 +++++++++++++++++++++++++++++++++++++----------
 src/player_qt.h         |    8 ++-
 src/video_output_qt.cpp |    6 ++
 9 files changed, 294 insertions(+), 48 deletions(-)

commit 14c2c122140de0211f0bdb1ffc5ed8fabd348ba8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 16:54:20 +0100

    Fix breakage introduced in 8d80d2386f7c2e8d817db4beaa5ad4eb458ef65f.
    
    Fix workaroung for rgba32 frames with odd sizes.

 src/video_output.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a218ed508c351d1ecf24b5b410f910f3acb30c41
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 16:49:08 +0100

    Media data: improve video format name and info.

 src/media_data.cpp |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit cb09ca11fc52eab9542dca15aff26843caa61901
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 16:43:09 +0100

    Add forgotten GUI icons.

 src/icons/center.ipe     |  420 ++++++++++++++++++++++++++++++++++++++++++++++
 src/icons/center.png     |  Bin 0 -> 1335 bytes
 src/icons/fullscreen.ipe |  419 +++++++++++++++++++++++++++++++++++++++++++++
 src/icons/fullscreen.png |  Bin 0 -> 1109 bytes
 4 files changed, 839 insertions(+), 0 deletions(-)

commit bcc2ec4bdc9ee32ca1ba77e159e1020f0b6726d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 16:42:39 +0100

    Media object: add some assertions.

 src/media_object.cpp |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 2ddd799e0d78f6db20a0a75ed79df205d0f3eb84
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 14:59:19 +0100

    Restructure the GUI.
    
    Add new controls, and improve existing controls.

 src/Makefile.am      |    2 +
 src/controller.h     |    6 +
 src/player.cpp       |  103 ++++++-
 src/player.h         |    1 +
 src/player_qt.cpp    |  867 +++++++++++++++++++++++++++++++++++--------------
 src/player_qt.h      |  117 ++++++--
 src/qt_resources.qrc |    2 +
 7 files changed, 820 insertions(+), 278 deletions(-)

commit bbfaea6fdeef6ad7f13d4ef20bd604480c2c733e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-12 13:34:41 +0100

    Media object: Add function to query the position.

 src/media_object.cpp |    5 +++++
 src/media_object.h   |    4 ++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 636fbc830f3e0014ab3d78e3b31c3bd0baa812e8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-11 22:05:37 +0100

    Rename the stereo layouts for separate streams.

 src/main.cpp       |    8 ++++----
 src/media_data.cpp |    6 +++---
 2 files changed, 7 insertions(+), 7 deletions(-)

commit b56e4803ccc5019c502b596fc01644314088ec0e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-11 22:03:37 +0100

    Media input: fix switching the stereo layout to 'separate'.

 src/media_input.cpp |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 2460b8e641b213f95fc701fd2d0bd7ec9549e307
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-11 21:38:13 +0100

    Video output: Minor cleanups.

 src/video_output.cpp |   18 +++++++++---------
 src/video_output.h   |    2 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

commit a361e67f0ecf86417cef9aaa49c77d655122879d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-11 21:37:35 +0100

    Video output: Mark supports_stereo() const.

 src/video_output_qt.cpp |    9 ++++-----
 src/video_output_qt.h   |    2 +-
 2 files changed, 5 insertions(+), 6 deletions(-)

commit 852e67f1b6acc9b16f2ce555e497c29dbf197f84
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-11 21:35:48 +0100

    Media objects/input: Fix input without video or audio streams.
    
    Also add assertions to detect misuse of the API when video or audio streams
    are not available.

 src/media_input.cpp  |   55 ++++++++++++++++++++++++++++++++++++++++----------
 src/media_input.h    |    7 +++--
 src/media_object.cpp |    8 +++---
 3 files changed, 52 insertions(+), 18 deletions(-)

commit 91b774c1a0c43c1677e3c82ce0175a1006b90b6f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-11 21:34:16 +0100

    Controller: extent.
    
    Add commands and notifications to change the stereo layout and mode, and allow
    generic parameters to commands and notifications.

 src/base/Makefile.am |    5 +--
 src/controller.h     |  128 +++++++++++++++++++++++++++++---------------------
 2 files changed, 75 insertions(+), 58 deletions(-)

commit 7b43e08d99756f0276866e6ac1737d21bb4d7094
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2011-02-10 19:41:39 +0100

    Use SWS_POINT for potentially faster software color space conversion.
    
    Since we don't resize the video, there should be no negative impact on quality.

 src/media_object.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8d80d2386f7c2e8d817db4beaa5ad4eb458ef65f
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2011-02-10 16:18:18 +0100

    Adjust GL_UNPACK_ROW_LENGTH for misbehaving OpenGL implementations.
    
    This fixes problems with YUV video playback on Mac when the U and V planes have
    odd width.

 src/video_output.cpp |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 9c6de932004a9363300fde572da80f8957b2af96
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-08 22:05:28 +0100

    Fix many GUI problems caused by the rewrites.
    
    Also, improve parameters handling and storing of settings.

 src/main.cpp            |    6 +-
 src/media_data.cpp      |   37 +++++-----
 src/player_qt.cpp       |  188 ++++++++++++++++++++++------------------------
 src/player_qt.h         |    3 +-
 src/video_output_qt.cpp |   20 ++++--
 5 files changed, 128 insertions(+), 126 deletions(-)

commit 0b9e5cbdcd6ba9a908f176b53f971fbfbc8f6b1e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-08 07:24:23 +0100

    Improve handling of output parameters.

 src/main.cpp       |   25 +++++++++-------------
 src/media_data.cpp |   58 +++++++++++++++++++++++++++++++++++++++++++--------
 src/media_data.h   |    3 ++
 src/player.cpp     |    7 +++--
 src/player.h       |   21 +++++++++++++++++-
 5 files changed, 85 insertions(+), 29 deletions(-)

commit 85c38ab83074cb34b9fa45cb31d4a5a7627c732d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-07 09:42:30 +0100

    Player: remove stray debugging output.

 src/player.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d68a2e5fc2edd771c136c0625a289de29e4effbc
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-07 09:42:00 +0100

    Player: Cleanup.

 src/player.h      |    5 -----
 src/player_qt.cpp |   10 +++++-----
 src/player_qt.h   |    1 +
 3 files changed, 6 insertions(+), 10 deletions(-)

commit 2cf635b8fa7ea55decf1676de866ffa0bcfd978d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-07 07:04:32 +0100

    Media input: improve comments, and implement close().

 src/media_input.cpp |   19 ++++++++++++++
 src/media_input.h   |   70 +++++++++++++++++++++++++++++++++-----------------
 2 files changed, 65 insertions(+), 24 deletions(-)

commit 2ae8dc81a53ac67312da23398846cb8c4cf66fbb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-07 06:47:35 +0100

    Media object: improve comments.

 src/media_object.cpp |   22 ++++++++++++----------
 src/media_object.h   |   31 +++++++++++++++++++++----------
 2 files changed, 33 insertions(+), 20 deletions(-)

commit 5bd01ed408b81284b76ddb438e412191d24928ff
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-07 06:33:07 +0100

    Cleanup the player class.

 src/main.cpp      |    2 +-
 src/player.cpp    |  192 +++++++++++++++++++++++++----------------------------
 src/player.h      |   33 +++------
 src/player_qt.cpp |   54 +++++-----------
 src/player_qt.h   |    9 ++-
 5 files changed, 126 insertions(+), 164 deletions(-)

commit b93f3bbd871ffa4adc10aee682805fdd420531e7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-07 06:32:29 +0100

    Media input: fix problem with some URLs.

 src/media_input.cpp |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit d92d693342b20ff00a4f04bcef92557829ec0328
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-06 16:38:25 +0100

    Fixes for the input and output widget.

 src/player_qt.cpp |   86 ++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 65 insertions(+), 21 deletions(-)

commit 27d59c65cb626be1a0252fdea12b314ebbff7c71
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-06 16:38:02 +0100

    Remove restriction on number of input files.

 src/main.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ac0fb02b0e66546b964a6f3ef5fc08bda6c2975
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-06 16:16:17 +0100

    Rewrite media file and input handling.

 src/Makefile.am         |    5 +-
 src/decoder.cpp         |  157 -------
 src/decoder.h           |  201 ---------
 src/decoder_ffmpeg.cpp  |  917 ----------------------------------------
 src/decoder_ffmpeg.h    |   86 ----
 src/input.cpp           |  518 -----------------------
 src/input.h             |  196 ---------
 src/media_data.cpp      |   59 +++-
 src/media_data.h        |   26 +-
 src/media_input.cpp     |  458 ++++++++++++++++++++
 src/media_input.h       |  146 +++++++
 src/media_object.cpp    | 1081 +++++++++++++++++++++++++++++++++++++++++++++++
 src/media_object.h      |  118 +++++
 src/player.cpp          |  293 ++++----------
 src/player.h            |   14 +-
 src/player_qt.cpp       |   38 +-
 src/player_qt.h         |    1 -
 src/video_output.cpp    |    4 +-
 src/video_output.h      |    1 -
 src/video_output_qt.cpp |    1 +
 20 files changed, 1979 insertions(+), 2341 deletions(-)

commit 854f9a3e7d16c17be4c912d63616131f30e9437f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-02-05 11:24:15 +0100

    Rewrite video data handling.

 src/Makefile.am                        |   13 +-
 src/controller.h                       |    4 +-
 src/input.cpp                          |  109 +----
 src/input.h                            |    7 +-
 src/main.cpp                           |   85 ++--
 src/media_data.cpp                     |  441 +++++++++++++++
 src/media_data.h                       |  128 +++++
 src/player.cpp                         |  252 ++++++---
 src/player.h                           |   34 +-
 src/player_qt.cpp                      |  229 ++++----
 src/player_qt.h                        |   17 +-
 src/video_output.cpp                   |  925 ++++++++++++++++++++++++++++----
 src/video_output.h                     |  200 ++++---
 src/video_output_color.fs.glsl         |  131 +++++
 src/video_output_opengl.cpp            |  787 ---------------------------
 src/video_output_opengl.h              |  168 ------
 src/video_output_opengl_color.fs.glsl  |  131 -----
 src/video_output_opengl_qt.cpp         |  571 --------------------
 src/video_output_opengl_qt.h           |  134 -----
 src/video_output_opengl_render.fs.glsl |  199 -------
 src/video_output_qt.cpp                |  494 +++++++++++++++++
 src/video_output_qt.h                  |  141 +++++
 src/video_output_render.fs.glsl        |  199 +++++++
 23 files changed, 2856 insertions(+), 2543 deletions(-)

commit 70c0443cdb2649ef58914f52c15fdd89c7045300
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-25 06:39:56 +0100

    Only print backtraces with --enable-debug builds.

 src/base/dbg.cpp |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 9468188e3aa34bc82d8c258b4c68c0aab8c13f7b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-24 06:51:17 +0100

    Improve library version handling.

 src/audio_output.cpp |    2 +
 src/lib_versions.cpp |  225 +++++++++++++++++++++++++------------------------
 src/lib_versions.h   |    5 +
 3 files changed, 122 insertions(+), 110 deletions(-)

commit a0218a74a6955b43bd7866a8d55210a51f1eb5f5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-23 16:56:19 +0100

    Improve library version handling.

 src/lib_versions.cpp |  147 ++++++++++++++++++++++++++++++++------------------
 src/lib_versions.h   |    5 ++-
 2 files changed, 99 insertions(+), 53 deletions(-)

commit eb397aef85f0dca6c8bce5420570373a5e048ddd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-15 17:45:50 +0100

    Library versions: report unused libraries, too.

 src/lib_versions.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 8d61fc57a647fa1a25528c0a601432a4367d20c0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-15 17:34:38 +0100

    Rewrite library version handling.

 src/audio_output.cpp     |   47 +-------------
 src/audio_output.h       |    5 +-
 src/decoder_ffmpeg.cpp   |   15 -----
 src/decoder_ffmpeg.h     |    2 -
 src/lib_versions.cpp     |  155 ++++++++++++++++++++++++++++++++++++++++++----
 src/lib_versions.h       |    6 +-
 src/player_equalizer.cpp |   11 ---
 src/player_equalizer.h   |    2 -
 src/qt_app.cpp           |    7 --
 src/qt_app.h             |    5 --
 10 files changed, 149 insertions(+), 106 deletions(-)

commit 4db0e04fd3528b0669ce3b7e885f269ef6970209
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-15 15:41:32 +0100

    Rewrite audio data handling.

 src/Makefile.am             |    2 +-
 src/audio_output.cpp        |  428 ++++++++++++++++++++++++++++++++++++++++++-
 src/audio_output.h          |   71 +++++--
 src/audio_output_openal.cpp |  433 -------------------------------------------
 src/audio_output_openal.h   |   77 --------
 src/lib_versions.cpp        |    6 +-
 src/media_data.cpp          |   78 ++++++++
 src/media_data.h            |   60 ++++++
 src/player.cpp              |   32 +++-
 9 files changed, 644 insertions(+), 543 deletions(-)

commit 3e58ac4ec23ada5a75806e1508bafa7a49a45d80
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-22 16:34:01 +0100

    Always use the GUI by default.
    
    Only disable the GUI when the --no-gui option is used.
    
    This fixed opening a video file via some file managers "Open with Bino" action:
    now Bino starts in GUI mode as expected. Reported by Thomas Vincke.

 doc/bino.1    |    8 +++-----
 doc/bino.texi |   14 ++++++--------
 src/main.cpp  |   12 ++++++++----
 3 files changed, 17 insertions(+), 17 deletions(-)

commit a6fade7c18700957c044801636b2affc94595314
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-22 13:17:23 +0100

    Decoder: improve handling of stream durations.
    
    This fixes the GUI slider for some video types, most notably .mkv containers.
    Reported by Thomas Vincke.

 src/decoder_ffmpeg.cpp |   33 +++++++++++++++++++++++++++------
 src/decoder_ffmpeg.h   |    2 +-
 2 files changed, 28 insertions(+), 7 deletions(-)

commit 342fd7941ff3515edf6fa23db5ae20a720a0bf3f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-20 09:00:28 +0100

    configure.ac: Add an explicit check for pkg-config.
    
    This makes it explicit what went wrong when no library could be detected due to
    a missing pkg-config. Reported by Thomas Vincke.

 configure.ac |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 6fa75faa2ab507a988c4dbd8111a63ada1a9054e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-18 15:01:43 +0100

    Decoder: Fix segfault in close() on invalid input.

 src/decoder_ffmpeg.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit db3a8a8ace4af2a2368bfaf0fe687e64ee45a97a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-16 19:02:48 +0100

    Bump version to 0.8.1.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bf3374065beaaa19a98ad822ca3919590611c0b6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-12 13:04:46 +0100

    Fix the --enable-debug configure option.

 configure.ac |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 2a917b86c91151ba935055d58fef09dabd5d381e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-12 12:51:45 +0100

    Fix the --enable-debug configure option.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 75160c3406737e983716bae3cc33da98f6315631
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-12 12:48:43 +0100

    Equalizer: document the NDEBUG requirements for using the library.

 doc/bino.texi |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit dc5538e072b269a06505e00f40ede931d7e6138c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-12 12:48:27 +0100

    Improve the base/dbg module, part 2.

 src/base/dbg.h              |    2 +-
 src/base/str.cpp            |    2 +-
 src/main.cpp                |    6 +++---
 src/video_output_opengl.cpp |   11 +++--------
 4 files changed, 8 insertions(+), 13 deletions(-)

commit e385c17779b7b9db80a0a26978598e59595c0db7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-12 12:41:23 +0100

    Improve the base/dbg module.

 configure.ac                |    6 ++
 src/audio_output_openal.cpp |    2 +-
 src/base/Makefile.am        |    2 +-
 src/base/dbg.cpp            |  143 +++++++++++++++++++++++++++++++++++++++++++
 src/base/dbg.h              |   52 ++++++++++++++++
 src/base/debug.cpp          |  143 -------------------------------------------
 src/base/debug.h            |   50 ---------------
 src/base/str.cpp            |    2 +-
 src/decoder_ffmpeg.cpp      |    2 +-
 src/input.cpp               |    2 +-
 src/main.cpp                |    2 +-
 src/player_equalizer.cpp    |    2 +-
 src/video_output_opengl.cpp |    2 +-
 src/xgl.cpp                 |    2 +-
 14 files changed, 210 insertions(+), 202 deletions(-)

commit 468758e8ad28fc9a59091b3cf893390177a4a500
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-10 21:10:40 +0100

    Equalizer: update documentation for versions >= 0.9.2.

 doc/bino.texi |   16 ++++++----------
 1 files changed, 6 insertions(+), 10 deletions(-)

commit e4a509896d647c5d0e949e4fdfd74db94ebd08a5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-10 21:06:15 +0100

    Accept Equalizer >= 0.9.2 instead of only == 0.9.2
    
    Eq 0.9.2 is 1.0-alpha, and the API is supposed to be stable now.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 00432aaf735195857e581c6886e050b26d134064
Merge: 8486103 0268cb8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-10 20:59:36 +0100

    Merge branch 'eq-trunk'

commit 8486103ba87be1ee2ef610e846021e57e9758308
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-10 20:47:28 +0100

    Change bug report address to mailing list.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21e5a66e7c07c427a42a6b4f262fd2bce5ef14c4
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-10 20:44:31 +0100

    GUI: tweak parallax and ghostbusting choosers.
    
    The choosers are now enabled for all playback modes, even when they don't
    actually have an effect. This is for consistency: it is possible to change
    e.g. ghostbusting in anaglyph modes using shortcuts, and this should be
    reflected in the GUI.

 src/player_qt.cpp |   18 ++++--------------
 1 files changed, 4 insertions(+), 14 deletions(-)

commit 2020e29c58f439adaf81c176ab40d96c3078d95e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-10 20:40:41 +0100

    Equalizer: properly set initial video output state.
    
    This fixes passing command line settings to the Equalizer player, e.g. for
    crosstalk ghostbusting, parallax adjustment etc.

 src/player_equalizer.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dfeec1efa3d0ba177951c6785282eb5ed38339c5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 19:52:39 +0100

    Equalizer: do not fail on negative time stamps when reading a video frame.
    
    This is fallout from the recent timestamp changes.

 src/player_equalizer.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 7a0a643403bf60c304bed14ca2cbacec773d3b3e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 19:49:59 +0100

    Start all messages with an upper case letter because lower case looks bad in the GUI.

 src/audio_output_openal.cpp    |   34 +++++++++++++++++-----------------
 src/base/opt.cpp               |   22 +++++++++++-----------
 src/base/str.cpp               |    4 ++--
 src/base/timer.cpp             |    6 +++---
 src/decoder_ffmpeg.cpp         |   38 +++++++++++++++++++-------------------
 src/input.cpp                  |   30 +++++++++++++++---------------
 src/main.cpp                   |   10 +++++-----
 src/player.cpp                 |   26 +++++++++++++-------------
 src/player_equalizer.cpp       |   14 +++++++-------
 src/video_output_opengl.cpp    |    2 +-
 src/video_output_opengl_qt.cpp |    8 ++++----
 src/xgl.cpp                    |    4 ++--
 12 files changed, 99 insertions(+), 99 deletions(-)

commit badd3bc6d616d1d4cf2038fa1969ffc6089dd71c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 19:30:34 +0100

    GUI: Make better use of QSettings.

 src/player_qt.cpp |   68 +++++++++++++++++++---------------------------------
 1 files changed, 25 insertions(+), 43 deletions(-)

commit 89dfb9c11b18f27906c92aab8a9989234e94cb5d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 19:29:31 +0100

    GUI: Fix parallax spinbox: do not change ghostbust setting.

 src/player_qt.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 84fa16ea34fc22f69b2e9f574d21026a86a65d0c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 17:15:51 +0100

    Equalizer: fix parallax adjustment.

 src/player_equalizer.cpp    |   12 ++++++------
 src/video_output_opengl.cpp |   10 +++-------
 src/video_output_opengl.h   |    2 +-
 3 files changed, 10 insertions(+), 14 deletions(-)

commit 2d592e0804e1e0e9ab3cc0228172016d06761ce3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 16:32:46 +0100

    Avoid compiler warning.

 src/input.cpp |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit e56ec0e70d32e907400ed87a13671aaf91df716a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 15:58:04 +0100

    Manual: some tweaks.

 build-aux/texinfo.tex | 9291 -------------------------------------------------
 configure.ac          |    2 +-
 doc/bino.texi         |  149 +-
 3 files changed, 78 insertions(+), 9364 deletions(-)

commit 136b278510bb3fef220df82c7f20b91971b868d6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 15:24:20 +0100

    GUI: Fix the keyboard shortcuts list.

 src/player_qt.cpp |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit e4891b7d0df51161ea43df7e08817366d64abb3a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 15:16:56 +0100

    GUI: minor tweaks to the parallax and crosstalk ghostbusting elements.

 src/player_qt.cpp |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit bfc6ec69a29e889cf070e3a1c1d77263fa6edbd0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 15:12:43 +0100

    Move a function definition.

 src/player_qt.cpp |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit 13be955c2c520e28373683ed2532c00e323c2fbe
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 15:09:47 +0100

    GUI: Add drop support (open files dropped on the main window).

 src/player_qt.cpp |   32 ++++++++++++++++++++++++++++++++
 src/player_qt.h   |    2 ++
 2 files changed, 34 insertions(+), 0 deletions(-)

commit c5fc8bc27ccc4647640ae9c8f67e8ddbab8df6b5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 14:10:33 +0100

    GUI: Add tool tips, tweak layout.

 src/player_qt.cpp |   50 ++++++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 46 insertions(+), 4 deletions(-)

commit f350a87314b23182b7a5c66489cad39426514ef6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-09 13:16:21 +0100

    Fix --center command line option.

 src/video_output_opengl_qt.cpp |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit 0268cb802ba7c6fa4f38bc02644d2ee60b6ee199
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2011-01-08 17:14:18 +0100

    Adaptations for Eq 1.0a

 src/player_equalizer.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 75bf68dfbae24b0c0861eeae8a25158527b8b911
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 17:44:01 +0100

    Bump version to 0.8.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 44cd16c7ac39508cb7b96c2f48f017a75780645f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 17:09:15 +0100

    GUI: Do not repeatedly fail once a non-existing audio stream was chosen.

 src/player_qt.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f6011b64ee1a61f132fd8434fc662ff773e94226
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 16:55:18 +0100

    Add support for mouse-based seeking.
    
    The GUI now has a slider for seeking and progress display, and in non-GUI mode
    a mouse click will seek according to the horizontal click position.

 doc/bino.1                     |    2 +
 doc/bino.texi                  |    2 +
 src/controller.h               |    1 +
 src/main.cpp                   |    5 ++-
 src/player.cpp                 |   49 ++++++++++++++++++++++++++++++++------
 src/player.h                   |    3 ++
 src/player_qt.cpp              |   50 +++++++++++++++++++++++++++++++--------
 src/player_qt.h                |    3 ++
 src/video_output_opengl_qt.cpp |   15 ++++++++++++
 src/video_output_opengl_qt.h   |    2 +
 10 files changed, 111 insertions(+), 21 deletions(-)

commit 77d1d76f1c62a2bdf4726139760d375c9c4fa043
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 15:50:46 +0100

    Add support for choosing an audio stream.
    
    Currently, the audio stream must be selected before playing the video; it is
    not possible to switch audio streams during playback. That functionality could
    be added later.

 doc/bino.1               |    2 +
 doc/bino.texi            |    3 ++
 src/main.cpp             |    4 +++
 src/player.cpp           |   19 +++++++++++++--
 src/player.h             |    3 +-
 src/player_equalizer.cpp |    4 ++-
 src/player_qt.cpp        |   54 +++++++++++++++++++++++++++++++++------------
 src/player_qt.h          |    2 +
 8 files changed, 71 insertions(+), 20 deletions(-)

commit 3c1db9e2cf1b94f385d7689866dfecd0aac31f27
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 14:50:43 +0100

    Add support for parallax adjustment.

 doc/bino.1                             |    4 ++
 doc/bino.texi                          |    6 +++
 src/controller.h                       |    3 ++
 src/main.cpp                           |    5 +++
 src/player.cpp                         |   10 +++++
 src/player_equalizer.cpp               |   10 +++++
 src/player_qt.cpp                      |   48 +++++++++++++++++++++++-
 src/player_qt.h                        |    4 ++
 src/video_output.cpp                   |    2 +-
 src/video_output.h                     |    1 +
 src/video_output_opengl.cpp            |    1 +
 src/video_output_opengl_qt.cpp         |   10 +++++
 src/video_output_opengl_render.fs.glsl |   63 +++++++++++++++++++-------------
 13 files changed, 138 insertions(+), 29 deletions(-)

commit 7565ac31b5f41a6892297527bfb7bdb18b32e712
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 14:16:02 +0100

    Document ghostbusting keyboard shortcuts in --help output.

 src/main.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 96fa87f95b7a64878a982b696cab1b63b2c15859
Merge: db04869 5917bb3
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2011-01-07 14:12:59 +0100

    Merge branch 'master' into eq-trunk

commit db0486933c28d014e26943f85773bae28b691917
Merge: 7f0633d 795897c
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2011-01-07 14:12:17 +0100

    Merge branch 'master' into eq-trunk

commit 5917bb3b268fd8c4a28f900f248412fe2c2fbf3e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 13:56:28 +0100

    Add keyboard shortcuts for ghostbusting adjustment.

 doc/bino.1                     |    2 ++
 doc/bino.texi                  |    3 +++
 src/player_equalizer.cpp       |    6 ++++++
 src/player_qt.cpp              |    1 +
 src/video_output_opengl_qt.cpp |    6 ++++++
 5 files changed, 18 insertions(+), 0 deletions(-)

commit 07b4f7d93152b349267fbcdae31ce71e191d9d3c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 13:05:44 +0100

    GUI: Remember contrast/brightness/hue/saturation settings (but not per video).

 src/player_qt.cpp |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 1c77ba8ddb6fe5e7da82a2a5bcb8eb4fee011a27
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 13:03:01 +0100

    GUI: Remember swap-eyes setting per video.

 src/player_qt.cpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit e3980e7a9d164d12f3c0eaf691ab18164bb10290
Author: Frédéric Devernay <Frederic.Devernay@inrialpes.fr>
Date:   2011-01-07 12:56:51 +0100

    MacOSX: Make documentation available in the package and from the GUI.

 Makefile.am       |    3 ++-
 src/player_qt.cpp |    2 ++
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 9f011f563e0bf9a42b820b7d08ced54ab1e1ac60
Author: Frédéric Devernay <Frederic.Devernay@inrialpes.fr>
Date:   2011-01-07 12:56:28 +0100

    Manual: Set document language.

 doc/bino.texi |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 857afc5d73fbf46a09ce4506a6863168d882ffa3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 12:51:27 +0100

    GUI: Add support for crosstalk ghostbusting.

 src/controller.h               |    7 ++-
 src/player.cpp                 |   10 +++
 src/player_qt.cpp              |  131 +++++++++++++++++++++++++++++++++++++---
 src/player_qt.h                |    7 ++
 src/video_output_opengl_qt.cpp |    4 +
 5 files changed, 148 insertions(+), 11 deletions(-)

commit bd2d5de0ef0e36a1da257c82ef88a8e2dbb52003
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 10:25:49 +0100

    GUI: Minor tweak to the Help menu.

 src/player_qt.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4b8517d8cf8b89eda8296d9d5965205b71fedb95
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 09:25:56 +0100

    GUI: Add website entry to help menu.

 src/player_qt.cpp |   11 +++++++++++
 src/player_qt.h   |    1 +
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 63aa5183b55ebdaab30f16714cdd47dc39e90076
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-07 01:20:07 +0100

    W32: Update README.

 README.Windows |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit a8a219acfec94a7d118719c6aa11de633c84c361
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-06 23:41:21 +0100

    W32: Install documentation make it accessible from the GUI.

 Makefile.am       |    2 +-
 pkg/w32/bino.nsi  |   16 +++++++++++++++-
 src/player_qt.cpp |    4 ++++
 3 files changed, 20 insertions(+), 2 deletions(-)

commit 9f37465752f73f8dd41481aa1249ff7d396a0ec6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-06 23:18:43 +0100

    GUI: Make manual accessible via help key and menu.

 src/Makefile.am   |    2 ++
 src/player_qt.cpp |   17 ++++++++++++++++-
 src/player_qt.h   |    1 +
 3 files changed, 19 insertions(+), 1 deletions(-)

commit ef7e2f741c86479c57f9df9e9f8796cc4f2b1a12
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-06 23:01:48 +0100

    Improve documentation.
    
    Add documentation in texinfo format, and install the generated HTML
    documentation. Remove the old plain-text documentation.

 .gitignore                     |    3 +
 build-aux/mdate-sh             |  205 +
 build-aux/texinfo.tex          | 9291 ++++++++++++++++++++++++++++++++++++++++
 doc/Makefile.am                |   20 +-
 doc/bino.1                     |   88 +-
 doc/bino.texi                  |  644 +++
 doc/crosstalk-ghostbusting.txt |   43 -
 doc/crosstalk-pattern-l.png    |  Bin 19148 -> 0 bytes
 doc/crosstalk-pattern-r.png    |  Bin 19159 -> 0 bytes
 doc/crosstalk-pattern-tb.png   |  Bin 0 -> 49671 bytes
 doc/gamma-pattern-tb.png       |  Bin 0 -> 25414 bytes
 doc/gamma-pattern.png          |  Bin 14653 -> 0 bytes
 doc/multi-display.txt          |  303 --
 13 files changed, 10201 insertions(+), 396 deletions(-)

commit ba79807f02ada804cc1ae6cd9ad990d90fffcabb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-06 23:01:14 +0100

    Equalizer: Handle the crosstalk settings in init data and frame data.

 src/player_equalizer.cpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 1a9d13287da7525a9557065e0528d7d8f9546638
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-06 20:57:19 +0100

    Equalizer: Handle the crosstalk settings in init data and frame data.

 src/player_equalizer.cpp |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 63896ecb20642427d9fec5eaaf312952b0006014
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-06 16:36:39 +0100

    Avoid compiler warnings.

 src/base/opt.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6486b20a383772de3b863261145ea66489a2ce63
Author: Frédéric Devernay <Frederic.Devernay@inrialpes.fr>
Date:   2011-01-06 16:35:02 +0100

    Add initial support for crosstalk ghostbusting.

 doc/Makefile.am                        |    6 ++-
 doc/bino.1                             |    6 ++
 doc/crosstalk-ghostbusting.txt         |   43 ++++++++++++
 doc/crosstalk-pattern-l.png            |  Bin 0 -> 19148 bytes
 doc/crosstalk-pattern-r.png            |  Bin 0 -> 19159 bytes
 doc/gamma-pattern.png                  |  Bin 0 -> 14653 bytes
 src/main.cpp                           |   16 +++++
 src/video_output.cpp                   |    1 +
 src/video_output.h                     |    5 ++
 src/video_output_opengl.cpp            |   54 +++++++--------
 src/video_output_opengl_render.fs.glsl |  110 ++++++++++++++++----------------
 11 files changed, 155 insertions(+), 86 deletions(-)

commit 2a417da0c1db55b5ab668fc820bb51834f306af3
Author: Frédéric Devernay <Frederic.Devernay@inrialpes.fr>
Date:   2011-01-06 14:25:37 +0100

    MacOSX: Add a make rule to build an application bundle.
    
    After successfully building bino, you can now use 'make package-macosx' to
    build an application bundle.

 Makefile.am              |   15 ++
 README.MacOSX            |    2 +
 configure.ac             |    1 +
 pkg/macosx/Bino.icns     |  Bin 0 -> 29307 bytes
 pkg/macosx/Info.plist.in |  356 ++++++++++++++++++++++++++++++++++++++++++++++
 pkg/macosx/README        |    8 +
 6 files changed, 382 insertions(+), 0 deletions(-)

commit 3708ef057012bf8fe7ae677076853279afef2a31
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-06 01:30:16 +0100

    Improve handling of the initial skip for 3dtv.at movies.

 src/input.cpp  |   16 +---------------
 src/input.h    |    5 +++++
 src/player.cpp |   23 +++++++++++++++--------
 3 files changed, 21 insertions(+), 23 deletions(-)

commit 8bde5659e0f94fda42fa80690e073e285b8d0770
Author: Frédéric Devernay <Frederic.Devernay@inrialpes.fr>
Date:   2011-01-05 12:40:09 +0100

    MacOSX: Handle QFileOpenEvent.

 src/player_qt.cpp |   18 ++++++++++++++++++
 src/player_qt.h   |    2 ++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit 240157d628f95d18c04230abda68a4e23e22b1de
Author: Frédéric Devernay <Frederic.Devernay@inrialpes.fr>
Date:   2011-01-05 12:37:16 +0100

    MacOSX: Add support for launching Bino from the Finder.

 src/main.cpp |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 07838b2e96957bbe6b97ee8dc2378fefd845bd86
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-05 11:53:36 +0100

    Add better support for building Windows binaries.
    
    Using mingw-cross-env, it is now possible to build an installer package for
    Windows on a GNU/Linux system by typing 'make package-w32'.
    This is now documented in README.Windows.

 Makefile.am           |   16 ++++++
 README.Windows        |   22 +++++++-
 configure.ac          |   17 ++++++
 pkg/w32/bino.nsi      |  134 +++++++++++++++++++++++++++++++++++++++++++++++++
 pkg/w32/notes.txt     |   18 +++++++
 src/Makefile.am       |    6 ++
 src/icons/appicon.ico |  Bin 0 -> 1078 bytes
 7 files changed, 210 insertions(+), 3 deletions(-)

commit 7991448024d16c04163c0bd888f3c6ad7cedd1bf
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 21:20:59 +0100

    Fix video timing when not synchronizing against audio.

 src/player.cpp |   20 +++++++++++---------
 src/player.h   |    3 +--
 2 files changed, 12 insertions(+), 11 deletions(-)

commit b09f9e64338df3b914ebd5b5d30108d96241765b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 20:59:38 +0100

    Fix audio/video synchronization after seeking: flush audio buffers.
    
    Flush the OpenAL audio buffers when stopping playback, so that the correct
    audio time is reported after restarting playback with the audio data read from
    the new stream location.

 src/audio_output_openal.cpp |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit b09fca974f0a726b60d57e4f456f0e36df0ffe3e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 20:56:11 +0100

    Fix minor glitch in audio/video synchronization.

 src/player.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4a17e7dae70f59e7ed83ef910a065b4070e634c9
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 17:42:29 +0100

    Fix benchmark mode.

 src/player.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 403597f0d3fa80f9622abf6ec5664758c83d6d9f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 17:06:58 +0100

    Improve audio/video time synchronization.
    
    This version is a little more robust against jumping time stamps in audio and
    video streams.

 src/player.cpp |   85 +++++++++++++++++++++++++++++---------------------------
 src/player.h   |   14 +++++----
 2 files changed, 52 insertions(+), 47 deletions(-)

commit f95c44e2460fead3b0ed8835fd0ad4478261495b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 15:31:05 +0100

    Remember current stream position more accurately.

 src/player.cpp |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 09a87e7db295adb2c17486f9764be1d3ea1c2d31
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 14:59:08 +0100

    Improve video/audio time stamp handling and synchronization.
    
    Don't try to "fix" time stamps. That will always go wrong with some videos.
    Instead, be prepared to handle time stamps that start at an arbitrary point,
    and video/audio streams that start with different time stamps.

 src/decoder.h          |    4 +-
 src/decoder_ffmpeg.cpp |   68 +++++++++++++++++++++-----------------
 src/decoder_ffmpeg.h   |    3 ++
 src/input.cpp          |    4 +-
 src/input.h            |    6 ++--
 src/player.cpp         |   85 +++++++++++++++++++++++-------------------------
 src/player.h           |    2 +-
 7 files changed, 90 insertions(+), 82 deletions(-)

commit 0a5949503ee1d379b2585d6fb0db62b2c6198b81
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 11:36:24 +0100

    Fix handling of video streams that don't need software scaling.

 src/decoder_ffmpeg.cpp |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit d304c00b00a31010efb60d73633a9ffde63caea2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 11:04:57 +0100

    Limit maximum number of decoding threads to 16.

 src/decoder_ffmpeg.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 27dd1ba657cfc35873715333883a462bc3498219
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 10:38:55 +0100

    Fix build error caused by stupid typo.

 src/video_output_opengl.cpp |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit d91f10302ecbbb159dfdd07db73a35b97c4deb8a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 10:02:01 +0100

    Minor cleanup in chroma location placement.

 src/video_output_opengl.cpp |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit 066a7ac7e79391f1dc8a1f48c5463f47ebb8463e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-04 09:57:27 +0100

    Remove an ill-conceived xgl function.

 src/video_output_opengl.cpp |    6 +++---
 src/xgl.cpp                 |   39 ---------------------------------------
 src/xgl.h                   |   17 -----------------
 3 files changed, 3 insertions(+), 59 deletions(-)

commit f7295c60aacdf629e11ab90f61a0e55c2f3a3185
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-03 22:16:49 +0100

    Add proper chroma filtering for YUV 422p and 420p chroma subsampling formats.

 src/video_output_opengl.cpp           |   57 ++++++++++++++++++++++++---------
 src/video_output_opengl_color.fs.glsl |   10 ++++--
 2 files changed, 49 insertions(+), 18 deletions(-)

commit e671fa9d688848df93f4e9195ce3db0cea6045e7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-03 21:01:44 +0100

    Fix and improve color space conversions.
    
    All coefficients for YUV<->SRGB conversions have been calculated directly from
    the IT.BT-601 and ITU.BT-709 documents. The previous versions were taken from
    some outdated FAQ and were inaccurate. Additionally, the 709 conversion had a
    major error and resulted in wrong colors.

 src/video_output_opengl_color.fs.glsl |   41 +++++++++++++++++----------------
 1 files changed, 21 insertions(+), 20 deletions(-)

commit 47a4c365475ede3ccf8ced04105338cf186d1d37
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-02 21:55:25 +0100

    Use a more flexible description of the video frame format.

 src/decoder.cpp                       |   91 ++++++++++++++++----------------
 src/decoder.h                         |   84 +++++++++++++++++++++--------
 src/decoder_ffmpeg.cpp                |   94 ++++++++++++++++-----------------
 src/decoder_ffmpeg.h                  |    2 +-
 src/input.cpp                         |   34 +++++-------
 src/input.h                           |    6 +-
 src/player.cpp                        |    4 +-
 src/player_equalizer.cpp              |   16 +++---
 src/video_output.h                    |    2 +-
 src/video_output_opengl.cpp           |   70 ++++++++++++------------
 src/video_output_opengl.h             |    6 +-
 src/video_output_opengl_color.fs.glsl |   40 +++++++-------
 src/video_output_opengl_qt.cpp        |    2 +-
 src/video_output_opengl_qt.h          |    2 +-
 14 files changed, 240 insertions(+), 213 deletions(-)

commit cac75000d2716c4cdcd0db3a0be472c9f0a35938
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-02 15:48:17 +0100

    Fix YUV to SRGB color space conversions.

 src/video_output_opengl_color.fs.glsl |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit fc87aa6ffa1b1c505c1a377c644af4d3bad41610
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-01 22:34:27 +0100

    Support more pixel formats directly.
    
    This adds support for 444p and 422p YUV pixel formats, and it introduces correct
    handling of the ITU-709 YUV variant (used by HD video) and of the JPEG YUV
    variant (which uses the full 0-255 range, in contrast to ITU-601).

 src/decoder.cpp                       |   52 +++++++--
 src/decoder.h                         |   26 ++++-
 src/decoder_ffmpeg.cpp                |  150 +++++++++++++++++-------
 src/decoder_ffmpeg.h                  |    3 +-
 src/input.cpp                         |   43 ++++++--
 src/player_equalizer.cpp              |    4 +-
 src/video_output_opengl.cpp           |  211 ++++++++++++++++++++-------------
 src/video_output_opengl.h             |    8 +-
 src/video_output_opengl_color.fs.glsl |   31 ++++--
 9 files changed, 365 insertions(+), 163 deletions(-)

commit eec7661847ad7920c85f7adfa309548184f95cd8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-01 20:18:30 +0100

    Update copyright information for 2011.

 Makefile.am                            |    3 ++-
 configure.ac                           |    3 ++-
 doc/bino.1                             |    3 ++-
 doc/multi-display.txt                  |   10 ++++++++++
 src/Makefile.am                        |    3 ++-
 src/audio_output.cpp                   |    3 ++-
 src/audio_output.h                     |    3 ++-
 src/audio_output_openal.cpp            |    2 +-
 src/audio_output_openal.h              |    2 +-
 src/base/Makefile.am                   |    3 ++-
 src/base/blob.h                        |    3 ++-
 src/base/debug.cpp                     |    2 +-
 src/base/debug.h                       |    2 +-
 src/base/exc.cpp                       |    2 +-
 src/base/exc.h                         |    2 +-
 src/base/intcheck.h                    |    3 ++-
 src/base/msg.cpp                       |    2 +-
 src/base/msg.h                         |    3 ++-
 src/base/opt.cpp                       |    2 +-
 src/base/opt.h                         |    2 +-
 src/base/s11n.cpp                      |    3 ++-
 src/base/s11n.h                        |    3 ++-
 src/base/str.cpp                       |    3 ++-
 src/base/str.h                         |    3 ++-
 src/base/timer.cpp                     |    3 ++-
 src/base/timer.h                       |    3 ++-
 src/controller.cpp                     |    3 ++-
 src/controller.h                       |    3 ++-
 src/decoder.cpp                        |    3 ++-
 src/decoder.h                          |    3 ++-
 src/decoder_ffmpeg.cpp                 |    2 +-
 src/decoder_ffmpeg.h                   |    3 ++-
 src/icons/README                       |    3 ++-
 src/input.cpp                          |    2 +-
 src/input.h                            |    3 ++-
 src/lib_versions.cpp                   |    3 ++-
 src/lib_versions.h                     |    3 ++-
 src/main.cpp                           |    4 ++--
 src/player.cpp                         |    2 +-
 src/player.h                           |    2 +-
 src/player_equalizer.cpp               |    2 +-
 src/player_equalizer.h                 |    2 +-
 src/player_qt.cpp                      |    5 +++--
 src/player_qt.h                        |    3 ++-
 src/qt_app.cpp                         |    3 ++-
 src/qt_app.h                           |    3 ++-
 src/video_output.cpp                   |    2 +-
 src/video_output.h                     |    3 ++-
 src/video_output_opengl.cpp            |    2 +-
 src/video_output_opengl.h              |    3 ++-
 src/video_output_opengl_color.fs.glsl  |    3 ++-
 src/video_output_opengl_qt.cpp         |    2 +-
 src/video_output_opengl_qt.h           |    3 ++-
 src/video_output_opengl_render.fs.glsl |    3 ++-
 src/xgl.cpp                            |    3 ++-
 src/xgl.h                              |    3 ++-
 56 files changed, 103 insertions(+), 57 deletions(-)

commit 7f0633daa11834766bc9a2ce94e30902b71463a3
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-22 11:48:01 +0100

    Eq trunk compile fixes

 src/player_equalizer.cpp |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 7b6a7f44d8993062f74840532bbf39592bc19118
Merge: b6e7af1 6f63a4f
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-22 09:21:39 +0100

    Merge branch 'eq-trunk' of ssh://git.sv.gnu.org/srv/git/bino into eq-trunk

commit b6e7af18b1ee60076cc2256dd8e6e436d7b85825
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-20 10:11:29 +0100

    Fix build with latest Eq version

 src/main.cpp             |   26 --------------------------
 src/player_equalizer.cpp |    2 --
 2 files changed, 0 insertions(+), 28 deletions(-)

commit 8f8eafbf6c0969701b03689cd9aaa07d928a596e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 20:48:04 +0100

    Bump version to 0.7.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b55c7ba334175af9247999f28df30581ab7e9ad3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 20:37:11 +0100

    Update copyright information and credits.

 AUTHORS                                |    8 ++++++++
 configure.ac                           |    2 +-
 doc/bino.1                             |    2 +-
 src/audio_output.cpp                   |    2 +-
 src/audio_output.h                     |    2 +-
 src/audio_output_openal.cpp            |    2 +-
 src/audio_output_openal.h              |    2 +-
 src/base/blob.h                        |    2 +-
 src/base/debug.cpp                     |    2 +-
 src/base/debug.h                       |    2 +-
 src/base/exc.cpp                       |    2 +-
 src/base/exc.h                         |    2 +-
 src/base/intcheck.h                    |    2 +-
 src/base/msg.cpp                       |    2 +-
 src/base/msg.h                         |    2 +-
 src/base/opt.cpp                       |    2 +-
 src/base/opt.h                         |    2 +-
 src/base/s11n.cpp                      |    2 +-
 src/base/s11n.h                        |    2 +-
 src/base/str.cpp                       |    2 +-
 src/base/str.h                         |    2 +-
 src/base/timer.cpp                     |    2 +-
 src/base/timer.h                       |    2 +-
 src/controller.cpp                     |    2 +-
 src/controller.h                       |    2 +-
 src/decoder.cpp                        |    2 +-
 src/decoder.h                          |    2 +-
 src/decoder_ffmpeg.cpp                 |    2 +-
 src/decoder_ffmpeg.h                   |    2 +-
 src/input.cpp                          |    6 ++++--
 src/input.h                            |    2 +-
 src/lib_versions.cpp                   |    2 +-
 src/lib_versions.h                     |    2 +-
 src/main.cpp                           |    4 ++--
 src/player.cpp                         |    6 ++++--
 src/player.h                           |    6 ++++--
 src/player_equalizer.cpp               |    2 +-
 src/player_equalizer.h                 |    2 +-
 src/player_qt.cpp                      |    4 ++--
 src/player_qt.h                        |    2 +-
 src/qt_app.cpp                         |    2 +-
 src/qt_app.h                           |    2 +-
 src/video_output.cpp                   |    6 ++++--
 src/video_output.h                     |    2 +-
 src/video_output_opengl.cpp            |    6 ++++--
 src/video_output_opengl.h              |    2 +-
 src/video_output_opengl_color.fs.glsl  |    2 +-
 src/video_output_opengl_qt.cpp         |    2 +-
 src/video_output_opengl_qt.h           |    2 +-
 src/video_output_opengl_render.fs.glsl |    2 +-
 src/xgl.cpp                            |    2 +-
 src/xgl.h                              |    2 +-
 52 files changed, 76 insertions(+), 58 deletions(-)

commit f5bbe19e16861a15c30c4332ef3bf072192e90f7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 19:40:16 +0100

    Minor update.

 README.Windows |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 09f4933bb236534ceb19de7b76b2c079e75d77fd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 19:39:53 +0100

    Minor update.

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7bace76d58b8bf4f05c52b6f273713aaae31db6e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 09:57:32 +0100

    Cosmetic changes.

 src/player_equalizer.cpp |   55 +++++++++++++++++++++++++---------------------
 1 files changed, 30 insertions(+), 25 deletions(-)

commit ad74ece870db84e2235001a150ba66dc3106fd54
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 09:51:01 +0100

    Cleanup some fallout from the eq-trunk update.

 src/player_equalizer.cpp |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit c5c30c5b699f1bdbe743a93aef3bb302161de931
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 09:48:02 +0100

    Cleanup some fallout from the eq-trunk update.

 doc/MacOSX.txt  |   22 ----------------------
 doc/rotated.jpg |  Bin 24928 -> 0 bytes
 src/player.cpp  |    2 +-
 3 files changed, 1 insertions(+), 23 deletions(-)

commit 72439af243235bb2ef75935dd21b19e0206efa46
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-14 09:11:25 +0100

    Template stats

 src/player_equalizer.cpp |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 52a19822ac8052bb4614bff4fa6465f4befc24cf
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-12 14:00:13 +0100

    Set error codes

 src/player_equalizer.cpp |   43 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)

commit 17d37d1ce71238fdc8c37a6fb43c1dbf717242b6
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-12 13:46:00 +0100

    Fix Eq build

 src/player_equalizer.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit ccd415a5ed330288b6e2725fd02c592cba70a9aa
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-06 11:18:18 +0100

    Minor fixes

 doc/MacOSX.txt |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 83439061fc6332af6e6dbf56d1571f2c14570841
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-02 11:40:03 +0100

    document equalizer-3d mode

 doc/rotated.jpg |  Bin 0 -> 24928 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 5192cc0491e98109cf2619887c3d9c292583b03a
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-30 17:32:09 +0100

    Auto-position 3D screen

 src/player_equalizer.cpp |   54 ----------------------------------------------
 1 files changed, 0 insertions(+), 54 deletions(-)

commit b74473a106d0c7e52e4e74e0dd6d7418227262e7
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-28 15:46:58 +0100

    Add 3D output screen mode

 doc/MacOSX.txt           |    2 +-
 src/main.cpp             |   26 +++++++++++++++++++
 src/player.cpp           |    2 +-
 src/player_equalizer.cpp |   61 +++++++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 88 insertions(+), 3 deletions(-)

commit ef5c695fa9c72c7444703bc0e6b16ea5faf3a313
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-24 17:06:08 +0100

    OS X/Eq porting

 doc/MacOSX.txt            |    2 +-
 src/audio_output_openal.h |    9 +++++++--
 src/player_equalizer.cpp  |   38 ++++++++++++++++++++++++++------------
 3 files changed, 34 insertions(+), 15 deletions(-)

commit 1609e2087203d0bfb379d03fd91c8f3bb0a469da
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-24 17:06:05 +0100

    OS X/Eq porting

 doc/MacOSX.txt |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 795897c6131f802afe8c1f793324e31d06161e59
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-19 15:40:10 +0100

    Improve and fix the upload of video data to textures.
    
    The new version only copies the required data, not more. Also, it avoids
    reading beyond buffer boundaries for the even-odd-row input mode.

 src/decoder.cpp             |   13 ++++
 src/decoder.h               |    1 +
 src/input.cpp               |  147 +++++++++++++++++++++----------------------
 src/input.h                 |   13 +++-
 src/player.cpp              |   16 ++++-
 src/player.h                |    4 +-
 src/player_equalizer.cpp    |    2 +-
 src/player_qt.cpp           |    2 +-
 src/video_output.h          |   12 +++-
 src/video_output_opengl.cpp |  138 +++++++++++++++++++++-------------------
 src/video_output_opengl.h   |    6 +-
 11 files changed, 195 insertions(+), 159 deletions(-)

commit a7956ce741144b1bb007109487eca86da5e01e49
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2010-12-19 13:31:08 +0100

    Force the GUI and video widget to be raised when shown initially.

 src/player_qt.cpp              |    1 +
 src/video_output_opengl_qt.cpp |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 846b773b174ec83366ae30000ec258b2987e00d6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-19 11:32:21 +0100

    MacOSX: Fix aspect ratio problems.
    
    The viewport size is now memorized in a member variable instead of in the GL
    context. Equalizer still uses the viewport settings from the context.

 src/player_equalizer.cpp    |   12 +++++++-----
 src/video_output_opengl.cpp |   11 ++++++-----
 src/video_output_opengl.h   |    6 ++++--
 3 files changed, 17 insertions(+), 12 deletions(-)

commit 067e6850e5905a129f74b27b2cf800eb75ebef40
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-19 11:15:29 +0100

    Update copyright information.

 src/video_output_opengl_qt.cpp |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 33a8e9e0cc4819ee995a373d0d1790540b0624e2
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2010-12-19 11:12:11 +0100

    MacOSX: Fix fullscreen mode.
    
    Due to slightly different behaviour of Qt on the various platforms, fullscreen
    mode did not work correcyly on MacOSX. This fixes it.

 src/video_output_opengl_qt.cpp |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)

commit 25755f8dcb423e538bf7224f85a1ac56d9a5cc56
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2010-12-19 11:06:53 +0100

    Fix handling of video packets in FFmpeg decoder.
    
    Packets are now properly duplicated before being handled by us. This fixes
    playback for some video types, where otherwise accesses to freed memory would
    occur.

 src/decoder_ffmpeg.cpp |   22 +++++++++++++++++++---
 1 files changed, 19 insertions(+), 3 deletions(-)

commit 73b2c7aa700d90c520bc37b280d672e89449b5b0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-17 21:04:26 +0100

    Improve frame format handling.
    
    The frame format is now determined by the input alone. The video output has to
    deal with it and cannot choose a different method anymore. Likewise, the input
    determines is a video is mono or not; this cannot change.

 src/decoder.h                  |    2 +-
 src/decoder_ffmpeg.cpp         |    6 ++--
 src/decoder_ffmpeg.h           |    4 +-
 src/input.cpp                  |   10 ++++----
 src/input.h                    |   12 +++++++--
 src/player.cpp                 |   12 +-------
 src/player.h                   |    1 -
 src/player_equalizer.cpp       |   49 +++++++++++++++++++-----------------
 src/player_qt.cpp              |    2 +-
 src/video_output.h             |    5 +---
 src/video_output_opengl.cpp    |   53 +++++++++++++++++++---------------------
 src/video_output_opengl.h      |   10 +++----
 src/video_output_opengl_qt.cpp |    4 +-
 src/video_output_opengl_qt.h   |    2 +-
 14 files changed, 82 insertions(+), 90 deletions(-)

commit d9ce8106f9dbea9c00b4d28e4a25d3f1a5fa0ee3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-15 05:57:54 +0100

    Change author nick name to real name.

 AUTHORS        |    2 +-
 src/player.cpp |    2 +-
 src/player.h   |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6f63a4f8e5561b27e6ff83de39d2a4feb77ce082
Merge: fe50855 82dcf63
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 20:54:08 +0100

    Merge commit '82dcf63ae7c8e10bf9ca48656a85c0adb162c4b1'; commit '155ac548342b956b9367677a996a0b3fe580767b'; commit '1ae52cbc67b503ef306d693242a9b715c9cc18b6'; commit 'db5cde56f577953cdcdeb8b57f222b20fb2ab58d' into eq-trunk

commit 82dcf63ae7c8e10bf9ca48656a85c0adb162c4b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 20:48:04 +0100

    Bump version to 0.7.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 155ac548342b956b9367677a996a0b3fe580767b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 20:37:11 +0100

    Update copyright information and credits.

 AUTHORS                                |    8 ++++++++
 configure.ac                           |    2 +-
 doc/bino.1                             |    2 +-
 src/audio_output.cpp                   |    2 +-
 src/audio_output.h                     |    2 +-
 src/audio_output_openal.cpp            |    2 +-
 src/audio_output_openal.h              |    2 +-
 src/base/blob.h                        |    2 +-
 src/base/debug.cpp                     |    2 +-
 src/base/debug.h                       |    2 +-
 src/base/exc.cpp                       |    2 +-
 src/base/exc.h                         |    2 +-
 src/base/intcheck.h                    |    2 +-
 src/base/msg.cpp                       |    2 +-
 src/base/msg.h                         |    2 +-
 src/base/opt.cpp                       |    2 +-
 src/base/opt.h                         |    2 +-
 src/base/s11n.cpp                      |    2 +-
 src/base/s11n.h                        |    2 +-
 src/base/str.cpp                       |    2 +-
 src/base/str.h                         |    2 +-
 src/base/timer.cpp                     |    2 +-
 src/base/timer.h                       |    2 +-
 src/controller.cpp                     |    2 +-
 src/controller.h                       |    2 +-
 src/decoder.cpp                        |    2 +-
 src/decoder.h                          |    2 +-
 src/decoder_ffmpeg.cpp                 |    2 +-
 src/decoder_ffmpeg.h                   |    2 +-
 src/input.cpp                          |    6 ++++--
 src/input.h                            |    2 +-
 src/lib_versions.cpp                   |    2 +-
 src/lib_versions.h                     |    2 +-
 src/main.cpp                           |    4 ++--
 src/player.cpp                         |    6 ++++--
 src/player.h                           |    6 ++++--
 src/player_equalizer.cpp               |    2 +-
 src/player_equalizer.h                 |    2 +-
 src/player_qt.cpp                      |    4 ++--
 src/player_qt.h                        |    2 +-
 src/qt_app.cpp                         |    2 +-
 src/qt_app.h                           |    2 +-
 src/video_output.cpp                   |    6 ++++--
 src/video_output.h                     |    2 +-
 src/video_output_opengl.cpp            |    6 ++++--
 src/video_output_opengl.h              |    2 +-
 src/video_output_opengl_color.fs.glsl  |    2 +-
 src/video_output_opengl_qt.cpp         |    2 +-
 src/video_output_opengl_qt.h           |    2 +-
 src/video_output_opengl_render.fs.glsl |    2 +-
 src/xgl.cpp                            |    2 +-
 src/xgl.h                              |    2 +-
 52 files changed, 76 insertions(+), 58 deletions(-)

commit 1ae52cbc67b503ef306d693242a9b715c9cc18b6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 19:40:16 +0100

    Minor update.

 README.Windows |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit db5cde56f577953cdcdeb8b57f222b20fb2ab58d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 19:39:53 +0100

    Minor update.

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fe50855f710496747827042b835669f2ee0cd526
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 09:57:32 +0100

    Cosmetic changes.

 src/player_equalizer.cpp |   55 +++++++++++++++++++++++++---------------------
 1 files changed, 30 insertions(+), 25 deletions(-)

commit fcb529828acfbd1cde83d1550d4a6c7246efb96b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 09:51:01 +0100

    Cleanup some fallout from the eq-trunk update.

 src/player_equalizer.cpp |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 038f1dbb1b3d0ebacb4f7a092175f1f4156c2bbf
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 09:48:42 +0100

    Cleanup some fallout from the eq-trunk update.

 doc/multi-display.txt |   55 ++++++++++++++++++++++--------------------------
 1 files changed, 25 insertions(+), 30 deletions(-)

commit e102b09b4d4ea9f170317f6f402c69eaf6ef5f66
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 09:48:02 +0100

    Cleanup some fallout from the eq-trunk update.

 doc/MacOSX.txt  |   22 ----------------------
 doc/rotated.jpg |  Bin 24928 -> 0 bytes
 src/main.cpp    |    5 +++--
 src/player.cpp  |    2 +-
 4 files changed, 4 insertions(+), 25 deletions(-)

commit b92a0061441a15a31d40adf4bdc6399b783c6379
Merge: 54131d6 0deb024
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-14 09:11:29 +0100

    Merge branch 'master' of git://git.savannah.nongnu.org/bino

commit 54131d62bb72c12cf9eb999c028a7c216697dbde
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-14 09:11:25 +0100

    Template stats

 src/player_equalizer.cpp |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 0deb024bc8fad4bf34ec19b5176bf408781bb24b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 08:42:24 +0100

    Complete the documentation of file name conventions for input modes.

 doc/bino.1 |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit d34c174a69bbc4dacdfc34d09c72ddcc50a8d9e8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 08:41:47 +0100

    Fix detection of -abq and -baq in file names.

 src/input.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fb0b6a0721b1a2592b286c38c8278e9fa0ac3eda
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 07:09:25 +0100

    Update man page.

 doc/bino.1 |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 913b480880ee5229cdeabac69f3acc1e3a893f33
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 07:06:54 +0100

    Recognize 'h' in addition to 'q' in file names for half-resolution modes.

 src/input.cpp |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit 9e1e5d00ec5c483589b90f524e0f6a59989d946b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 06:59:51 +0100

    Update man page.

 doc/bino.1 |   70 ++++++++++++++++++++++++++++++------------------------------
 1 files changed, 35 insertions(+), 35 deletions(-)

commit 7388660cd95977d3ea0199d21bc3719b4ff5b309
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 06:58:56 +0100

    Recognize "-tb" and variations in addition to "-ab" and variations in file names.

 src/input.cpp |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit b092aae2404f3f6043d891c4909eba5715fb3cf6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 06:52:50 +0100

    Improve man page.

 doc/bino.1 |  139 ++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 84 insertions(+), 55 deletions(-)

commit 89122297e6cfd3d458306b3c92739bac8acd8964
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-14 06:52:34 +0100

    Handle the default anaglyph method as documented.

 src/main.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit a9e885034f88a0d86f99a778ea8895f5313f7367
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2010-12-13 22:03:26 +0100

    Guess input mode from file name if none is given.
    
    Now automatic determination of the input mode first looks for meta data,
    then for the file name, and only as a last resort for the resolution.

 src/decoder.h        |    3 +-
 src/decoder_ffmpeg.h |    5 ++
 src/input.cpp        |  147 ++++++++++++++++++++++++++++++++++++++-----------
 3 files changed, 121 insertions(+), 34 deletions(-)

commit fe7181288edfca857e318b49e0d5a55bce15b118
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2010-12-13 21:07:44 +0100

    Fix clearing of video area in quad-buffered stereo mode.

 src/video_output_opengl.cpp    |   19 +++++++++++++++++--
 src/video_output_opengl.h      |    2 ++
 src/video_output_opengl_qt.cpp |    2 +-
 3 files changed, 20 insertions(+), 3 deletions(-)

commit 3ffdada26337776eb88bbc4d46abc798933b4ca7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-13 21:02:37 +0100

    Do not allow setting an output mode for the display() function.
    
    Instead, only allow to toggle the swap_eyes flag, which is enough to allow
    Equalizer to choose between left and right view.

 src/player_equalizer.cpp    |   14 +++++++-------
 src/video_output_opengl.cpp |   32 ++++++++++++++++++--------------
 src/video_output_opengl.h   |    7 ++++---
 3 files changed, 29 insertions(+), 24 deletions(-)

commit c7bf4d59494f07a339bc19d97935e9f5f442a68e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-13 08:52:53 +0100

    Work around OpenGL driver bugs again.
    
    This time the workaround is for the NVIDIA 256.* series on Linux.
    
    The GLSL compiler failed on the original version of the code. A variant of the
    code with the three local variables sr, sg, sb but an inlined computation
    compiled successfully, but resulted in wrong colors, probably due to invalid
    optimizations.

 src/video_output_opengl_render.fs.glsl |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit cb7938e8cdcfdbddb0f1e2d4a30c03c99d553414
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-12 14:00:13 +0100

    Set error codes

 src/player_equalizer.cpp |   43 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)

commit 3cbe8984d3871e3d4d026977bc1d63b782888a90
Merge: 3056d98 c9e58a2
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-12 13:46:06 +0100

    Merge branch 'master' of git://git.savannah.nongnu.org/bino

commit 3056d98a4b1bf90d7a7493b36d370a9cce6b92e7
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-12 13:46:00 +0100

    Fix Eq build

 src/player_equalizer.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit c9e58a2de4f03ca1c19f0aab66334b151eb3b846
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-11 20:43:30 +0100

    Add a workaround for broken texture_sRGB implementations.
    
    This can be activated by setting the environment variable
    SRGB_TEXTURES_ARE_BROKEN. Note that color interpolation will be wrong
    in this case, but at least it works.

 src/video_output_opengl.cpp            |   10 ++++++++--
 src/video_output_opengl.h              |    2 ++
 src/video_output_opengl_render.fs.glsl |   14 +++++++++-----
 3 files changed, 19 insertions(+), 7 deletions(-)

commit dd8c7ac981d72c948a950c1cb6e36ea7877ac661
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-11 20:34:36 +0100

    GUI: Force exit of fullscreen mode when player stops.

 src/video_output_opengl_qt.cpp |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit 708d34719b31d4ab7f433844ede36294ed38cd50
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-11 20:15:40 +0100

    Clarify YUV <-> non-linear RGB conversions, and add some comments.

 src/video_output_opengl.cpp           |   11 +++++++++
 src/video_output_opengl_color.fs.glsl |   38 ++++++++++++++++++++++++--------
 2 files changed, 39 insertions(+), 10 deletions(-)

commit bd47c6416c710d1988617c9fdfad7bff5b629bcf
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-11 17:43:39 +0100

    Reorganize video output, to avoid invalid color handling.
    
    Now the color handling and the rendering are done in two distinct steps,
    and invlaid interpolations in non-linear color spaces are avoided. See
    the overview comment in video_output_opengl.cpp.

 src/Makefile.am                        |    6 +-
 src/player_equalizer.cpp               |    2 -
 src/video_output_opengl.cpp            |  479 ++++++++++++++++++--------------
 src/video_output_opengl.fs.glsl        |  236 ----------------
 src/video_output_opengl.h              |   44 ++-
 src/video_output_opengl_color.fs.glsl  |   92 ++++++
 src/video_output_opengl_render.fs.glsl |  180 ++++++++++++
 7 files changed, 577 insertions(+), 462 deletions(-)

commit c7aa104ddd38931c08e4a413e98d1f4c6f64aace
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-11 16:19:16 +0100

    Equalizer: handle initialization failures properly.

 src/player_equalizer.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9321ce8fae6f5ad778b067f8d1c0d3a8522c6038
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-10 06:36:20 +0100

    Require OpenGL 2.1 + FBOs.
    
    Remove all workarounds for OpenGL implementations that do not meet these
    minimum requirements.

 src/player_equalizer.cpp       |   23 +--
 src/video_output_opengl.cpp    |  451 +++++++++++-----------------------------
 src/video_output_opengl.h      |   23 ++-
 src/video_output_opengl_qt.cpp |   12 +-
 4 files changed, 152 insertions(+), 357 deletions(-)

commit cb4b4dc3fe2ef6f15847ecfd26ca2891ed68d5a7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-10 05:45:04 +0100

    Add a few comments.

 src/player_qt.cpp |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 941c3eef54047df89ae9263e6edb6e00634319d2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-10 05:13:16 +0100

    Fix handling of initial skip for 3dtv.at movies.
    
    This should now also work for multi-stream input, and backward seeking into the
    initial advertisement is not possible anymore.

 src/input.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c64fae7edf9ca0ab67b20e671e52ebbf936939eb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-09 21:57:54 +0100

    Enable initial skip for 3dtv.at movies.
    
    This finally activates the initial skip defined by a tag used in 3dtv.at
    movies.
    
    This works more or less with the latest ffmpeg, but still is problematic with
    some of the example videos, and older ffmpeg versions may fail completely.

 src/input.cpp |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit 75a3184971d18e56150b527f7d7077c0d256d02b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-09 21:37:05 +0100

    GUI: Do not use a dummy video widget.
    
    Instead, use the container widget to achieve the same effect cheaper and
    cleaner.

 src/player_qt.cpp              |   37 +++++++++++++++----------------------
 src/player_qt.h                |   12 ++++--------
 src/video_output_opengl_qt.cpp |    8 ++++++++
 3 files changed, 27 insertions(+), 30 deletions(-)

commit 6ef2bab369907a9bee6aa5b8d1ba966fccae0ed8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-09 06:48:27 +0100

    Fix centering of video area on screen.

 src/video_output_opengl_qt.cpp |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit f706f8f1433833392b9ee3606e4607f9b72106d4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-09 06:37:58 +0100

    Rename two functions.

 src/player_equalizer.cpp       |    4 ++--
 src/video_output_opengl.cpp    |    4 ++--
 src/video_output_opengl.h      |    6 ++++--
 src/video_output_opengl_qt.cpp |    4 ++--
 src/video_output_opengl_qt.h   |    4 ++--
 5 files changed, 12 insertions(+), 10 deletions(-)

commit d0155b36493ef756105a5fb4006bf349b3292501
Author: Frédéric Devernay <Frederic.Devernay@inrialpes.fr>
Date:   2010-12-08 21:51:36 +0100

    MacOSX: Add example port files, to be used with MacPorts.

 README.MacOSX |   96 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 96 insertions(+), 0 deletions(-)

commit 662d8218a6bc343dbe81c9d2fc60fc625e7ebd2b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 21:41:35 +0100

    Fix closing of video window in non-GUI mode.

 src/video_output_opengl_qt.cpp |   10 +++++-----
 src/video_output_opengl_qt.h   |    4 ++--
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 830ae41a24a11bf4e31f9474ae638b8f5c39fc52
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 21:32:52 +0100

    Fix and cleanup the masking output modes.

 src/player_qt.cpp              |   39 ++++++++--------
 src/player_qt.h                |    3 +-
 src/video_output_opengl_qt.cpp |  101 +++++++++++++++++++++++++---------------
 src/video_output_opengl_qt.h   |   42 +++++++++++++---
 4 files changed, 119 insertions(+), 66 deletions(-)

commit 0c3c8a13147a565717aac57e73c9f3ed56246a69
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 20:48:25 +0100

    Remove unused hack.

 src/player_qt.cpp |    6 ------
 src/player_qt.h   |    2 --
 2 files changed, 0 insertions(+), 8 deletions(-)

commit 9c2193619b2c8f69056b546d48deeb5929a0cb36
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 17:36:56 +0100

    GUI: Only print warnings to the console by default.

 src/main.cpp |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 72b625f506f28d54bea622a7e4bc51973cd50733
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 17:28:30 +0100

    Deinitialize video output before re-initializing it.

 src/video_output_opengl.cpp    |    2 +-
 src/video_output_opengl_qt.cpp |    5 +++++
 2 files changed, 6 insertions(+), 1 deletions(-)

commit a676a0c61eb9358b0aa5309e0022a7f013cd9d9f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 14:52:04 +0100

    Protect against double initialization and deinitialization.

 src/video_output_opengl.cpp |   14 +++++++++++++-
 src/video_output_opengl.h   |    1 +
 2 files changed, 14 insertions(+), 1 deletions(-)

commit 77dccfbaa4b06fe2b0b27b8b23d6be1a9bb5dabd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 14:32:52 +0100

    Remove unnecessary invalidation of video textures.

 src/video_output_opengl_qt.cpp |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit a93a202184b0ed05cda0c8ca2b705f2a4db49c66
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 14:13:05 +0100

    Deinitialize GL context.

 src/video_output_opengl_qt.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2b1942d44dcb8ce1bda0b42de804a933d4181c05
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 13:50:44 +0100

    GUI: Fix initial dummy video widget size.

 src/player_qt.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 9de1694e1b4716beda182e72c5d3f9dcfaf3e888
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 12:56:36 +0100

    Equalizer: Fix single-image mode.
    
    Do not prepare a new frame when going into single-image pause more. This bug
    was not Equalizer-specific, but was not triggered in other modes.

 src/player.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2b0db6401d7351a2d4e1ea2c97c95455977d02ee
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 12:31:16 +0100

    Equalizer: Use glewContextIsSupported() instead of the GLEW_* macros.
    
    This reverts commit 669f0a5287a8aa0ef05375f12073ded336608ada, because the
    GLEW_ARB_texture_non_power_of_two macro failed to indicate that
    non-power-of-two textures are available (I don't know why). Now the
    getContext() call is made explicit.

 src/player_equalizer.cpp |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 82f338c140e7f0841d852776e4a5417d13e283f8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 12:21:32 +0100

    GUI: Fix creating/closing/opening/deleting video widget.

 src/player_qt.cpp              |    9 ++++++++-
 src/player_qt.h                |    3 +++
 src/video_output_opengl_qt.cpp |   10 +++++++++-
 3 files changed, 20 insertions(+), 2 deletions(-)

commit 52a3ebb589af2e19fcde93378fdadc56b61f7d68
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 12:13:03 +0100

    Mark destructors virtual where appropriate.

 src/audio_output.h           |    2 +-
 src/audio_output_openal.h    |    2 +-
 src/controller.h             |    2 +-
 src/decoder.h                |    2 +-
 src/decoder_ffmpeg.h         |    2 +-
 src/player.h                 |    2 +-
 src/player_equalizer.cpp     |    2 +-
 src/player_equalizer.h       |    2 +-
 src/player_qt.h              |   10 +++++-----
 src/video_output.h           |    2 +-
 src/video_output_opengl.h    |    2 +-
 src/video_output_opengl_qt.h |    2 +-
 12 files changed, 16 insertions(+), 16 deletions(-)

commit b6270a3a22a61239f464d4c3ccef6c3a3cffe883
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 11:58:10 +0100

    Do not display uninitialized textures.

 src/video_output_opengl.cpp |   15 ++++++++-------
 src/video_output_opengl.h   |    2 +-
 2 files changed, 9 insertions(+), 8 deletions(-)

commit 669f0a5287a8aa0ef05375f12073ded336608ada
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 09:31:48 +0100

    Equalizer: Use GLEW_* macros instead of glewIsSupported().
    
    This reverts commit 2c50c8997d7e01ac759818e79aadc3de316e2a9b. The reason ist
    that glewIsSupported is not const-correct, and this leads to build failures
    with newer Equalizer versions.

 src/player_equalizer.cpp |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 39858255970b62f5ee8c185b86fb8ec1e2d3b1fd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 08:36:24 +0100

    Clear video widget when initializing.

 src/video_output_opengl_qt.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit aafa3f8aebf8380162bd5a6a8e4fd0fa7448d06f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-08 06:34:36 +0100

    GUI: Use sha1-hash of filename to remember input format.

 src/player_qt.cpp |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 87702896dc9277dd6b81c875de87d3b96603fa80
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-07 20:54:27 +0100

    Fix spelling of FFmpeg.

 README.Windows         |    2 +-
 configure.ac           |    6 +++---
 doc/bino.1             |    2 +-
 doc/multi-display.txt  |    2 +-
 src/decoder_ffmpeg.cpp |   12 ++++++------
 5 files changed, 12 insertions(+), 12 deletions(-)

commit 467a49a3d3c077eca17e7010657e8a32d2dbae85
Merge: 5acc2af fd6bc0b
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-07 17:04:19 +0100

    Merge branch 'master' of git://git.savannah.nongnu.org/bino

commit fd6bc0b711f17fa38a9f9f43e82e1ec005f50252
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-07 09:41:23 +0100

    Qt: Use a container widget that encapsulates the video widget.
    
    This simplifies things, avoids several ugly hacks, and fixes fullscreen mode on Windows.

 src/player_qt.cpp              |   30 +++++-------
 src/player_qt.h                |    4 +-
 src/video_output_opengl_qt.cpp |  105 ++++++++++++++++++++++------------------
 src/video_output_opengl_qt.h   |   11 +++--
 4 files changed, 79 insertions(+), 71 deletions(-)

commit 5acc2af7f3fb1734ad4a4f35b2c084a8a0102ca8
Merge: f570a99 7974964
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-06 11:24:31 +0100

    Fix merge conflicts

commit f570a991f0d363bd2d57e832effc24e13850a293
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-06 11:18:18 +0100

    Minor fixes

 doc/MacOSX.txt           |    8 +++++++-
 src/player_equalizer.cpp |    6 ++++--
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 7974964569005d14bc184166c99d14e2b57b6306
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-06 10:28:28 +0100

    MacOSX: Add a README that documents building Bino on MacOSX, with Equalizer.

 Makefile.am   |    2 +-
 README.MacOSX |   23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+), 1 deletions(-)

commit f40d58736fcdbf150ff66bd7ddfb0b54cfcb0d45
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-06 10:25:46 +0100

    Equalizer: Fix computation of 3D screen position.

 src/player_equalizer.cpp |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit be5f0a6c9ce2b19f106f9de1cce2523aff1dd59c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-06 10:14:05 +0100

    Windows: re-initialize GL context when toggling fullscreen mode.
    
    However, fullscreen still does not work on Windows currently.

 src/video_output_opengl_qt.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7cc5ff58debb4245ac63349a689dd0727432b793
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-06 09:54:43 +0100

    GUI: Override fullscreen and center settings.

 src/main.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6b391a2019af773e5232457121a4cb099801144e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-05 20:32:41 +0100

    Change order of libraries in --version output.

 src/lib_versions.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit af2f947d882f8ef3ab85b596c1b0c34e3e555843
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-05 16:49:44 +0100

    Improve documentation of Windows build.

 README.Windows |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 1561142e4b7f7c1cc5db5324e085b6fc5e3c0490
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-05 13:02:53 +0100

    Add build instructions for Windows.

 Makefile.am    |    2 ++
 README.Windows |   39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 0 deletions(-)

commit db646ab19e788704969fc2ebff0d0cc862395fa6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-04 18:55:50 +0100

    On Windows, reinitialize the GL context when the GL widget was reparented.

 src/player_qt.cpp              |    1 +
 src/video_output_opengl_qt.cpp |   10 ++++++++++
 src/video_output_opengl_qt.h   |    2 ++
 3 files changed, 13 insertions(+), 0 deletions(-)

commit 1b1d643e77b281e17975d8754ee39c32e1003922
Author: Lion-Simba <lion-simba@pridelands.ru>
Date:   2010-12-04 17:06:19 +0100

    Add a benchmark mode.
    
    This mode disables audio and time synchronization, and displays
    frames-per-second information.

 doc/bino.1               |    3 +++
 src/main.cpp             |   10 +++++++++-
 src/player.cpp           |   25 +++++++++++++++++++++----
 src/player.h             |    9 +++++++++
 src/player_equalizer.cpp |    2 ++
 src/player_qt.cpp        |    1 +
 6 files changed, 45 insertions(+), 5 deletions(-)

commit 7579144893ab96263a87094b5ff5c137d723ee5a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-04 16:35:03 +0100

    Equalizer: Add example photo to documentation.

 doc/Makefile.am             |    4 +++-
 doc/multi-display-vrlab.jpg |  Bin 0 -> 28237 bytes
 doc/multi-display.txt       |    2 ++
 3 files changed, 5 insertions(+), 1 deletions(-)

commit a76d18ea6839faeb0ebad8856b26f68737d8f96b
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-04 16:30:03 +0100

    Equalizer: Add documentation and example for equalizer-3d mode.

 doc/Makefile.am               |    2 +-
 doc/multi-display-rotated.jpg |  Bin 0 -> 24928 bytes
 doc/multi-display.txt         |  113 +++++++++++++++++++++++++++++++++++++++++
 src/player_equalizer.cpp      |    8 +++
 4 files changed, 122 insertions(+), 1 deletions(-)

commit 6e40db3e5dbd0c5749220941258ae8b1fb2280c5
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2010-12-04 16:06:03 +0100

    Enable sync-to-vblank.
    
    The front/back buffer switch is now synchronized to the vertical refresh of the
    screen, to avoid tearing effects.

 src/video_output_opengl_qt.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit d3b536103c17163604c419bf2abc6263bac8a66a
Author: Frédéric Devernay <frederic.devernay@inrialpes.fr>
Date:   2010-12-04 16:00:31 +0100

    Fix video output mode names.
    
    The wrong names made it impossible to set an anaglyph mode from the command
    line.

 src/video_output.cpp |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit d31cce04a73a1b353fa2547029f946daba0f8a2f
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-02 11:40:09 +0100

    document equalizer-3d mode

 doc/multi-display.txt    |  117 ++++++++++++++++++++++++++++++++++++++++++++++
 src/player_equalizer.cpp |    8 +++
 2 files changed, 125 insertions(+), 0 deletions(-)

commit d1c3e84f6fcf4e876de07fd79e8d466997848614
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-02 11:40:03 +0100

    document equalizer-3d mode

 doc/rotated.jpg |  Bin 0 -> 24928 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 2c50c8997d7e01ac759818e79aadc3de316e2a9b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-12-02 06:03:20 +0100

    Equalizer: use glewIsSupported() instead of GLEW_* macros.
    
    This avoids compiler warnings about old-style casts, and is consistent with
    the use of GLEW in video_output_opengl_qt.

 src/player_equalizer.cpp |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 8832aa87a0fb8b2e0428fade3e116ee42f90d985
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-12-01 21:32:22 +0100

    Equalizer: Add an additional 3D output mode.
    
    The new ouput mode 'equalizer-3d' allows to configure non-planar projections.

 doc/bino.1               |    4 +-
 doc/multi-display.txt    |    8 ++
 src/main.cpp             |   19 ++++-
 src/player_equalizer.cpp |  174 +++++++++++++++++++++++++++++++++++++---------
 src/player_equalizer.h   |   24 ++++++-
 5 files changed, 190 insertions(+), 39 deletions(-)

commit 4c6ad07681db44c4bfb415953baaba43458be64a
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-30 17:32:09 +0100

    Auto-position 3D screen

 doc/multi-display.txt    |   14 +++++---
 src/player_equalizer.cpp |   78 +++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 78 insertions(+), 14 deletions(-)

commit 4e87aef9d7840d2b387e7efd932908a33057bd84
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-28 18:37:27 +0100

    Decoder: enable multithreaded decoding.
    
    Always use as many decoding threads for video as there are processors in the system.

 configure.ac           |    1 +
 src/decoder_ffmpeg.cpp |   37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+), 0 deletions(-)

commit eab0c4e9894dd1ca541e937847987d3824e05cc4
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-28 15:56:25 +0100

    Document Equalizer3D mode

 doc/multi-display.txt |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 8303dd3e9700b5444e199e2da8ee59365ec1a974
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-28 15:46:58 +0100

    Add 3D output screen mode

 doc/MacOSX.txt           |    2 +-
 src/main.cpp             |   16 ++++++-
 src/player.cpp           |    2 +-
 src/player_equalizer.cpp |   93 ++++++++++++++++++++++++++++++++++------------
 src/player_equalizer.h   |    2 +-
 5 files changed, 85 insertions(+), 30 deletions(-)

commit 4d066fa853d025e960ac097234596b92103ec1d1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-27 16:32:59 +0100

    Bump version to 0.6.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dac00ac61561c27be9a01c10bbf8a19594da727f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-27 13:17:35 +0100

    Add and improve code comments.

 src/controller.h          |   30 ++++++++++++++++++++++++------
 src/decoder.h             |   26 ++++++++++++++------------
 src/input.h               |   24 ++++++++++++++++++++++--
 src/lib_versions.h        |    1 +
 src/qt_app.h              |    1 +
 src/video_output.h        |   18 ++++++++++++++----
 src/video_output_opengl.h |    2 ++
 7 files changed, 78 insertions(+), 24 deletions(-)

commit 85faf7f3c4cc62ecf580d627bc43b050ad5cb58c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-27 12:30:39 +0100

    Decoder: update current position after seek.

 src/decoder_ffmpeg.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 9bafe8ea099bc3de5ed3065df153133ee45fedb5
Merge: a5319c1 0760462
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-24 17:06:47 +0100

    Merge branch 'master' of git://git.savannah.nongnu.org/bino
    
    Conflicts:
    	src/video_output_opengl_qt.cpp

commit a5319c19718b35c6e61b06b84b84c8060c10ee4d
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-24 17:06:08 +0100

    OS X/Eq porting

 doc/MacOSX.txt                 |    2 +-
 src/audio_output_openal.h      |    9 +++++++--
 src/player_equalizer.cpp       |   38 ++++++++++++++++++++++++++------------
 src/video_output_opengl_qt.cpp |    9 ++++++++-
 4 files changed, 42 insertions(+), 16 deletions(-)

commit 4e6fb68bd3d2aae163b2e2eef6a9f6fd09296e64
Author: Stefan Eilemann <eilemann@gmail.com>
Date:   2010-11-24 17:06:05 +0100

    OS X/Eq porting

 doc/MacOSX.txt |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 07604626831fa832d4fac395f445007856bf94ff
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-24 13:52:36 +0100

    When using Equalizer, use the included GLEW library.
    
    When using Equalizer, don't link against an external GLEW library, since this
    may cause problems. Instead, assume that Equalizer contains a multi-context
    version of GLEW, and use that.

 configure.ac                   |   20 ++++++++++----------
 src/Makefile.am                |    5 ++++-
 src/video_output_opengl_qt.cpp |    4 ++++
 3 files changed, 18 insertions(+), 11 deletions(-)

commit 39c5102f192f2b824c4dd369649dee2684784137
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-23 19:55:24 +0100

    Add comment about alignment issues with audio buffer.
    
    The alignment problem was reported and debugged by Jordanis Kiriakidis.

 src/decoder_ffmpeg.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit da8eb469a55f97c2d7ca7e05dc705b9f4d87114f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-23 06:40:41 +0100

    Use av_malloc/av_free for audio buffers, to avoid alignment issues.

 src/decoder_ffmpeg.cpp |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit a1116ff28e44393a1fe4f118feb1cbf433e0ae8f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-22 20:01:28 +0100

    Simplify audio buffer copying.

 src/decoder_ffmpeg.cpp |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit 64369d7a3f3fac37ee604e1eef93a73762421a67
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-22 06:54:51 +0100

    GUI: Fix automatic output mode for videos given on the command line.

 src/player_qt.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c23c0c50df4bfb4e4e0fa86de557b72fdcb88688
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-22 06:48:38 +0100

    GUI: Do not clobber video output mode set on the command line.

 src/player_qt.cpp |   25 ++++++++++++++-----------
 1 files changed, 14 insertions(+), 11 deletions(-)

commit da0a41d79dd6298d2e396b2847e508c9ca170867
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-22 06:40:39 +0100

    GUI: Fix file-open problem.
    
    Do not block the GUI when opening a new file while an unsupported video output
    mode is set. Problem reported by Jordanis Kiriakidis.

 src/player_qt.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 277dc349f6a0e10ce58a7bd7e48ffe47903113d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 22:30:47 +0100

    Improve version information.

 src/main.cpp      |   17 +++++++++--------
 src/player_qt.cpp |   16 ++++++++--------
 2 files changed, 17 insertions(+), 16 deletions(-)

commit e3df8d969c8ca5783f544548d37a40146375cc4e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 18:50:36 +0100

    Simplify fallback timer code.

 configure.ac       |    2 +-
 src/base/timer.cpp |   17 +----------------
 2 files changed, 2 insertions(+), 17 deletions(-)

commit 2022cc12064fa6d511c056db0dfa7fc99dda1d03
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 18:01:20 +0100

    Improve portability.

 configure.ac       |    2 +-
 src/base/debug.cpp |    8 +++++++-
 src/base/str.cpp   |   19 +++++++++++++++++++
 src/base/timer.cpp |   47 ++++++++++++++++++++++++++++++++++++++++++-----
 src/base/timer.h   |    6 ------
 5 files changed, 69 insertions(+), 13 deletions(-)

commit 2523413808493038a33ac3d7cf291402d2b6def6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 17:11:53 +0100

    Avoid examining DISPLAY on non-X11 platforms when checking the OpenGL version strings.

 src/video_output_opengl_qt.cpp |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 34e74571025d54332f9289d106700da39e961112
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 13:02:14 +0100

    Print information about library versions.
    
    Print information about the versions of all used libraries both in --version
    output and in the GUI AboutBox.

 src/Makefile.am                |    1 +
 src/audio_output_openal.cpp    |   42 ++++++++++++++++++++++++++++++++
 src/audio_output_openal.h      |    3 ++
 src/decoder_ffmpeg.cpp         |   15 +++++++++++
 src/decoder_ffmpeg.h           |    5 ++++
 src/lib_versions.cpp           |   52 ++++++++++++++++++++++++++++++++++++++++
 src/lib_versions.h             |   28 +++++++++++++++++++++
 src/main.cpp                   |    9 ++++++-
 src/player_equalizer.cpp       |   11 ++++++++
 src/player_equalizer.h         |    5 ++++
 src/player_qt.cpp              |   28 ++++++++++++++-------
 src/qt_app.cpp                 |   11 ++++++++
 src/qt_app.h                   |    5 ++++
 src/video_output_opengl.cpp    |    7 +++++
 src/video_output_opengl.h      |    5 ++++
 src/video_output_opengl_qt.cpp |   44 +++++++++++++++++++++++++++++++++
 src/video_output_opengl_qt.h   |    5 ++++
 17 files changed, 266 insertions(+), 10 deletions(-)

commit 6e6962fcda96f9bd642e0c82e0af345466f79869
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 10:42:27 +0100

    Bump version to 0.5.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 020d0c2e8e1bebb9447726884def9a1026466d00
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 08:19:02 +0100

    GUI: Improve automatic setting of output mode when input mode is changed.
    
    Now the output mode is only changed when input is 2d and output is 3d, or vice
    versa.

 src/input.cpp        |    5 +++++
 src/input.h          |    1 +
 src/player_qt.cpp    |   10 ++++++----
 src/video_output.cpp |    5 +++++
 src/video_output.h   |    1 +
 5 files changed, 18 insertions(+), 4 deletions(-)

commit f0a4960634cb89d35c5f82be8630865e6cdbbbee
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-21 08:12:21 +0100

    Simplify detection of 3dtv.at input formats.

 src/input.cpp |   22 ++--------------------
 1 files changed, 2 insertions(+), 20 deletions(-)

commit 1e2eb83c131daf3c262d3278f8bc06a511f4f32a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 18:57:53 +0100

    Fix detection of the braindead swapped layouts used by 3dtv.at.
    
    Now the necessary input eye swap is always automatically detected, not just
    when the input mode is set to "automatic". This means these videos now also
    work correctly when started from the GUI.

 src/input.cpp |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 1d8034112fdd5ef4097c91d7ec3afd6a680786d2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 18:50:14 +0100

    Remove debug time measurements from video output code.

 src/video_output_opengl.cpp |   10 ----------
 1 files changed, 0 insertions(+), 10 deletions(-)

commit 9f961067d04b824c7fc7812cc18d6be96ff9e15b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 18:43:03 +0100

    GUI: Fix resetting of output mode when input mode is changed.

 src/player_qt.cpp |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit ff0fe87b8868d749ad63932ac2493f4ec61f33e5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 16:12:26 +0100

    Equalizer: fix inconsistent descriptions of Equalizer support.

 configure.ac |    2 +-
 doc/bino.1   |    2 +-
 src/main.cpp |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 1a3f9af9b5e52fdeb33a2d4db14c2891cbfc4404
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 16:09:29 +0100

    Update homepage URL.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7a06e24b91ebb4635ab3d46f76fb448d9c52ba7f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 16:09:01 +0100

    Update README.

 README |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit a8cedf42ecbb96695a177b55135ab9a1cf135ca6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 16:07:29 +0100

    Bump version to 0.4.

 configure.ac |    2 +-
 doc/bino.1   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 61184cd2ce9d4c19d82d8679830261e7f1cdf27d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-20 16:03:08 +0100

    Equalizer: minor documentation tweaks.

 doc/multi-display.txt |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 1d779ff894a56b9d231dfe53b9f0df071acef92e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-17 23:04:00 +0100

    Equalizer: cleanup and document multi-display setups.

 configure.ac          |    2 +-
 doc/Makefile.am       |    1 +
 doc/bino.1            |   27 ++++++++-
 doc/multi-display.txt |  170 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 198 insertions(+), 2 deletions(-)

commit c201c0b871e09c2fabbbe37f465d2f05e0996b0f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-17 08:35:39 +0100

    Equalizer: improve error message.

 src/player_equalizer.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit da757ea2a5e96b2664babbb6bb9af456610deaf1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-17 08:35:14 +0100

    Equalizer: fix synchronized seeking.

 src/player.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit afad85e4708b0eef802dd19aefb4609b60d51b25
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-17 08:29:39 +0100

    Improve internal handling of seeking.

 src/player.cpp           |   34 ++++++++++++++--------------------
 src/player_equalizer.cpp |   11 +++++------
 src/player_qt.cpp        |   12 ++++++++----
 src/player_qt.h          |    5 -----
 4 files changed, 27 insertions(+), 35 deletions(-)

commit 73f8f8df43e351089d0b4b668466637bb9f44079
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-17 06:47:28 +0100

    Equalizer: Move appnode video frame handling from config to node.

 src/player_equalizer.cpp |   45 ++++++++++++++++++++++++++++-----------------
 1 files changed, 28 insertions(+), 17 deletions(-)

commit 9772b0711cce23bed2fef20cd3f012bf7605660f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-14 18:47:27 +0100

    Equalizer: enable synchronized seeking

 src/player.cpp           |   41 +++++++++++++++++++++++++----------------
 src/player.h             |    3 ++-
 src/player_equalizer.cpp |   34 +++++++++++++++++++++-------------
 src/player_qt.cpp        |   11 ++++-------
 src/player_qt.h          |    5 +++++
 5 files changed, 57 insertions(+), 37 deletions(-)

commit dea7338d0b5c0bc1ec1df018f9455999a7ad74af
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-12 10:22:17 +0100

    GUI: use names instead of enum values to store input and output modes.

 src/input.cpp        |   82 +++++++++++++++++++++++++++++++
 src/input.h          |    2 +
 src/main.cpp         |  104 +++++++---------------------------------
 src/player_qt.cpp    |   23 +++++----
 src/video_output.cpp |  131 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/video_output.h   |    5 ++-
 6 files changed, 250 insertions(+), 97 deletions(-)

commit e49fcea4a714adb6ed8dcc78daf9f99882a12335
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-12 09:32:34 +0100

    GUI: Remember the last input mode for each video file.

 src/player_qt.cpp |   23 +++++++++++++++++++++--
 1 files changed, 21 insertions(+), 2 deletions(-)

commit 9a5727c4608c53ed0b589f958bacb5f30ef9471f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-12 09:09:55 +0100

    GUI: Remember last settings.
    
    Remember the last video directory and the last 2D and 3D output modes.

 src/player_qt.cpp |  124 +++++++++++++++++++++++++++++++++++++++--------------
 src/player_qt.h   |   26 ++++++++---
 2 files changed, 109 insertions(+), 41 deletions(-)

commit 0ba0570e5947258eec5762bec0375ac5f0093615
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-12 07:34:54 +0100

    GUI: update video display after stop.

 src/video_output_opengl_qt.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e865ddcc9df05bbece2d2fb2b0dc6e3f0c677355
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-12 07:24:44 +0100

    Equalizer: various cleanups.

 src/player_equalizer.cpp |  245 ++++++++++++++++++++++++----------------------
 src/player_equalizer.h   |    2 -
 2 files changed, 126 insertions(+), 121 deletions(-)

commit 2b21e9a7cd1aedc380f85af756f6fff9e9113861
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-11 16:41:12 +0100

    Equalizer: print informational messages about the canvas.

 src/player_equalizer.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit d436032e45b51c3f61ac75a213d1925005b34dad
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-11 13:52:40 +0100

    Equalizer: refuse to run if no canvas is found.

 src/player_equalizer.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit e9d8e293abb4e1a176b9a606f3ffeef5c210018d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-11 13:38:23 +0100

    Improve warning message.

 src/video_output_opengl.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dadde391069cd527e9fb55bc704fcc2e12f80e1a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-11 13:31:51 +0100

    Improve masking output modes.
    
    The output modes even-odd-rows, even-odd-columns, and checkerboard are now
    implemented by the fragment shader. The old method is used as a fallback when
    fragment shaders are not available.
    
    This shader implements proper filtering to account for masked pixels.
    
    For even-odd-rows:    [0 1 0]
                          [0 2 0]
    		      [0 1 0]
    
    For even-odd-columns: [0 0 0]
                          [1 2 1]
    		      [0 0 0]
    
    For checkerboard:     [0 1 0]
                          [1 4 1]
    		      [0 1 0]
    
    As a side effect, the masking modes now work again with the free ATI drivers on
    Linux.

 src/video_output_opengl.cpp     |  143 ++++++++++++++++++++++++++++-----------
 src/video_output_opengl.fs.glsl |  141 ++++++++++++++++++++++++++++++++-------
 src/video_output_opengl.h       |    1 +
 3 files changed, 221 insertions(+), 64 deletions(-)

commit fdefe4d1fdf77c9b873fcbbfe4950819898194e0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-08 20:42:33 +0100

    Fix masking output modes again.
    
    Take the viewport offset into account, not just the window position.

 src/video_output_opengl.cpp |   63 ++++++++++++------------------------------
 1 files changed, 18 insertions(+), 45 deletions(-)

commit 391b808a4bf842b19bf4f60e8c751dfa3995b57b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-08 06:38:10 +0100

    Cleanup handling of controllers that do not receive notifications.

 src/audio_output.cpp        |    3 ++-
 src/audio_output.h          |    2 +-
 src/audio_output_openal.cpp |    1 +
 src/controller.cpp          |    4 ++--
 src/controller.h            |    2 +-
 src/player_equalizer.cpp    |    3 ++-
 src/video_output.cpp        |    4 ++--
 src/video_output.h          |    2 +-
 src/video_output_opengl.cpp |    4 ++--
 src/video_output_opengl.h   |    2 +-
 10 files changed, 15 insertions(+), 12 deletions(-)

commit ca2fa3b9e23a9a96ab99a91ee882fb607c79987f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 22:44:42 +0100

    Equalizer: do not register video output as receiving controller.
    
    The registration is not thread-safe and may crash when multiple video outputs in
    multiple Equalizer windows try to register at the same time.
    Since Equalizer window video outputs do not receive notifications (they are
    directed by the frame data instead), the registration is now simply disabled for
    them.

 src/controller.cpp          |    7 +++++--
 src/controller.h            |    2 +-
 src/player_equalizer.cpp    |    2 +-
 src/video_output.cpp        |    3 ++-
 src/video_output.h          |    2 +-
 src/video_output_opengl.cpp |    3 ++-
 src/video_output_opengl.h   |    2 +-
 7 files changed, 13 insertions(+), 8 deletions(-)

commit 126867cc5532a158635b2e6a92cf264a39e8fd9b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 19:25:39 +0100

    Only render when a valid texture is available.
    
    Move this to the generic OpenGL video output so that it works also with Equalizer.

 src/video_output_opengl.cpp    |   16 +++++++++++++++-
 src/video_output_opengl.h      |    1 +
 src/video_output_opengl_qt.cpp |   27 +++++----------------------
 src/video_output_opengl_qt.h   |    3 ---
 4 files changed, 21 insertions(+), 26 deletions(-)

commit f92623e8a6dae229efeec868a54c185631d17440
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 19:18:22 +0100

    Fix eye swap.

 src/player.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7fe51d3aeb23e524434caf6d2907eb57b848ef13
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 19:16:10 +0100

    Equalizer: simplify video state handling.

 src/player_equalizer.cpp |   82 ++++++++++++++-------------------------------
 1 files changed, 26 insertions(+), 56 deletions(-)

commit 6b5ab140103e0d7b1b88ad919c98102aeebc6ddb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 17:49:32 +0100

    Equalizer: handle keyboard events.

 src/player.cpp           |   40 +++++++++--------
 src/player.h             |    5 +-
 src/player_equalizer.cpp |  113 ++++++++++++++++++++++++++++++++++++++++++++--
 src/player_qt.cpp        |    3 +-
 4 files changed, 135 insertions(+), 26 deletions(-)

commit fc3e5612b01620283d5b65d9a848826f0552129d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 17:00:09 +0100

    Equalizer: use correct video and canvas area.
    
    This ensures that the correct subset of the canvas is used, depending on the
    video aspect ratio, and that each channel renders only its portion of the
    video, and not the whole video unconditionally.  It is now possible to setup
    correct video across multiple displays.

 src/player_equalizer.cpp    |   68 +++++++++++++++++++++++++++++++++---------
 src/video_output_opengl.cpp |   44 ++++++++++++++--------------
 src/video_output_opengl.h   |    6 ++--
 3 files changed, 78 insertions(+), 40 deletions(-)

commit 658affff81ea45831e6ed8f7c7aa62c824a5e521
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 16:05:25 +0100

    Equalizer: close the player when done.

 src/player_equalizer.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 60c42d234bbc85418b5b00338f2406cf777127d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-07 11:03:34 +0100

    Allow building with older glew versions.
    
    Avoid GL_GEOMETRY_SHADER and GL_GEOMETRY_SHADER_ARB, and use
    GL_GEOMETRY_SHADER_EXT instead, which has the same value.

 src/xgl.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit b1a287bb9d89b19b1911cd0754d526d0de766c92
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 17:17:16 +0100

    Fix several shortcomings of the masking output modes.
    
    This affects the output modes even-odd-rows, even-odd-columns, and checkerboard.
    They now use the correct widget offset to determine whether the first output
    row/column is odd or even.

 src/player_qt.cpp              |   13 +++++++++++++
 src/player_qt.h                |    1 +
 src/video_output_opengl.cpp    |    4 ++--
 src/video_output_opengl_qt.cpp |    9 ++++++++-
 4 files changed, 24 insertions(+), 3 deletions(-)

commit 03606f8f58aea4faa4f036cee169c11880839e56
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 15:42:37 +0100

    Fix building with ffmpeg-0.6.1.

 src/decoder_ffmpeg.cpp |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit a308845f7d90395ce2057ca673ad4ad794376326
Author: Frédéric Dervernay <frederic.devernay@inrialpes.fr>
Date:   2010-11-06 14:46:38 +0100

    Always include glew.h instead of other GL headers, and make sure it is included first.
    
    This fixes portability problems on Mac OS X, where GL headers are in a different
    directory - glew.h will take care of that.

 src/video_output_opengl.h    |    2 +-
 src/video_output_opengl_qt.h |    2 ++
 src/xgl.h                    |    2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit df9455d95bfbe9ea3a547c2b1451009393071028
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 13:33:19 +0100

    Cleanup: define video frame format in the decoder.
    
    This is analoguous to the handling of the audio sample format.

 src/Makefile.am                |    1 -
 src/decoder.cpp                |   13 +++++++++++++
 src/decoder.h                  |   14 ++++++++++----
 src/decoder_ffmpeg.cpp         |   16 ++++++++++------
 src/input.cpp                  |    6 +++---
 src/input.h                    |    6 +++---
 src/player.cpp                 |    4 ++--
 src/player.h                   |    4 ++--
 src/player_equalizer.cpp       |   22 +++++++++++++---------
 src/player_qt.cpp              |    2 +-
 src/video_frame_format.h       |   29 -----------------------------
 src/video_output.h             |    6 +++---
 src/video_output_opengl.cpp    |   31 ++++++++++++++++---------------
 src/video_output_opengl.h      |    8 ++++----
 src/video_output_opengl_qt.cpp |    2 +-
 src/video_output_opengl_qt.h   |    2 +-
 16 files changed, 82 insertions(+), 84 deletions(-)

commit d45acabab3c79098a04ba521d04ffb57f8cbb674
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 13:03:21 +0100

    Do not clobber already decoded audio data.
    
    This fixes errors with some audio streams.

 src/decoder_ffmpeg.cpp |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit bbf5b2e0a95fd2cf7a21bf2f69337bf9abcecc6a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 11:50:39 +0100

    Accept multiple sample formats from ffmpeg, and let OpenAL resample.

 src/audio_output.h          |    5 ++-
 src/audio_output_openal.cpp |   59 ++++++++++++++++++++++++++++++++++++++----
 src/audio_output_openal.h   |    4 +-
 src/decoder.cpp             |   38 +++++++++++++++++++++++++++
 src/decoder.h               |   13 ++++++++-
 src/decoder_ffmpeg.cpp      |   35 +++++++++++++++++++------
 src/decoder_ffmpeg.h        |    2 +-
 src/input.cpp               |    8 +++---
 src/input.h                 |    6 ++--
 src/player.cpp              |    2 +-
 10 files changed, 144 insertions(+), 28 deletions(-)

commit cae9db80abf4ee99d0dfd2551b9c20552270fa31
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 10:30:24 +0100

    Do not reinitialize GL context when switching fullscreen on/off.
    
    This reinitialization was intended as a workaround for stencil buffers not
    working reliably, but 1) it did not improve things, 2) stencil buffers are
    not used anymore, and 3) it was wrong because the texture content was lost
    and the next frame displayed was random crap.

 src/video_output_opengl_qt.cpp |   70 +++++++++------------------------------
 src/video_output_opengl_qt.h   |    4 --
 2 files changed, 16 insertions(+), 58 deletions(-)

commit 29b696c6fcec93f86cbf335477a1985efe0c5dba
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 10:24:26 +0100

    Avoid stencil buffers.
    
    Use glPolygonStipple instead of stencil buffers for the output formats
    even-odd-rows, even-odd-columns, and checkerboard. This is faster to set up and
    should avoid various reported problems about stencil buffers sometimes not
    working right.
    
    The idea came from http://stereogl.sourceforge.net/ via Frédéric Devernay.

 src/player_equalizer.cpp       |    2 +
 src/video_output_opengl.cpp    |  191 ++++++++++++++++++++++++++++------------
 src/video_output_opengl.h      |    3 +
 src/video_output_opengl_qt.cpp |   35 +++++---
 src/video_output_opengl_qt.h   |    5 +
 5 files changed, 169 insertions(+), 67 deletions(-)

commit b600453f99013deb98a907302a02eaeac6c4d773
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 09:41:18 +0100

    Use backward-compatible ffmpeg API for audio sample formats.

 src/decoder_ffmpeg.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5a113f9ebc16fbfef2100f0ab0c10c35d70c29e1
Merge: 2785368 385ffe8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 09:40:48 +0100

    Merge branch 'master' of git.sv.gnu.org:/srv/git/bino

commit 278536805c12227d93c7a69f2378d42fdf5b1e3a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 09:39:45 +0100

    Revert "Require a very recent ffmpeg version due to incompatible changes."
    
    This reverts commit 796107ec205a0a129383c3dd7d5bf2b0d3c517ed.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 796107ec205a0a129383c3dd7d5bf2b0d3c517ed
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 09:16:22 +0100

    Require a very recent ffmpeg version due to incompatible changes.
    
    We now use AV_SAMPLE_FMT_* from ffmpeg, and these macros were recently renamed
    and/or moved around. So now we lost compatibility with ffmpeg-0.6.1.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 429a99371dfea98db8cf280892fa4933f888cb23
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-06 09:01:17 +0100

    Remove currently unused character set encoding conversion code.
    
    This code depends on iconv, which unbelievably still poses portability problems.
    Since the code is currently unused, just remove it. This may have to be reverted
    if/when we're dealing with subtitles (but maybe some library will do it for us).

 configure.ac     |    1 -
 src/base/str.cpp |   71 ------------------------------------------------------
 src/base/str.h   |    6 ----
 3 files changed, 0 insertions(+), 78 deletions(-)

commit 385ffe898647b12d5e98419de7a8e208233fdc8c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-05 12:02:53 +0100

    GUI: Allow compilation with old Qt versions.
    
    This allows compilation with Qt < 4.6, e.g. for Debian lenny, which uses 4.4.3.

 src/player_qt.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e031438cff89e6090a2b3083a7bc125c006d00c4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-05 11:50:06 +0100

    Remove forgotten debugging output.

 src/decoder_ffmpeg.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 93b7446eb73d07535379b27938056c3d4c95dad6
Merge: a472f5a 8dc16d4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-05 10:04:32 +0100

    Merge branch 'master' of git.sv.gnu.org:/srv/git/bino

commit a472f5ab8d175aca4e1faffd62b32cce3d97a22c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-05 10:02:34 +0100

    Reject audio streams that do not decode to signed 16 bit samples.
    
    All streams *should* decode to this sample format, but there are apparently
    some codecs that don't do this.

 src/decoder_ffmpeg.cpp |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 8dc16d44a2745b8d44fb0cada799df29b106b1fe
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-04 21:12:28 +0100

    GUI: Don't destroy the encoding when passing filenames to the player.
    
    Bug reported by Jordanis Kiriakidis.

 src/player_qt.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 46b7f38ff5b1fe19ccb2bb0cb8b37e49b9ead854
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-04 20:31:37 +0100

    Fix input format left-right-half for some video resolutions.
    
    This fixes errors at the right side of the right view. Bug reported and test
    case provided by Jordanis Kiriakidis.

 src/input.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5a3974be25e2e0f699b26d858f5070af2c52a740
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-03 21:34:39 +0100

    Relax ffmpeg requirement to version 0.6.1.
    
    Most users seem to override the requirement for the SVN version anyway...

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0ab3ab30bb65b5dec1fcbb305f334087ba412162
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-03 21:25:29 +0100

    Double-check that our OpenGL context has all required capabilities when reinitializing it.

 src/video_output_opengl_qt.cpp |   40 +++++++++++++++++++++++++++++-----------
 1 files changed, 29 insertions(+), 11 deletions(-)

commit dde79c44986babc9784cae1c35e3edcedb010fc6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-03 20:59:04 +0100

    Equalizer: Properly drop frames on secondary nodes.
    
    Video output is now in sync across nodes.

 src/player_equalizer.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 43490427648267cf24b84ffcc6256ca232e961ba
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-03 20:58:49 +0100

    Fix minor inconsistency.

 src/player.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 724cfc6ce7fe288f129f443fbd2aeb78794b2f5c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 21:44:54 +0100

    Equalizer: read frames on nodes that are not the app node.
    
    This marks the first version that actually displays anything using two nodes.
    However, video is not yet synchronized, and the output area is not adapted yet.

 src/player_equalizer.cpp |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 6edaf808f2521c339dc8cc4d8765777b83c15ddf
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 12:14:30 +0100

    GUI: Fix a crash when commands are send to a player that is not playing.

 src/player_qt.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 52060ce0d56c222e8c12f410c03ebb36f0e5dc35
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 09:33:06 +0100

    Make GL context current on de-initialization.

 src/video_output_opengl_qt.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3db0c4ad5a3167acc3e75d1288479e53215c85b9
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 09:32:07 +0100

    Make GL context current on re-initialization.

 src/video_output_opengl_qt.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 32c1041bad4ad254103fe255936c4b821d742423
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 09:28:44 +0100

    GUI: Use command line parameters (if any) for initial input/output settings.

 src/player_qt.cpp |   15 +++++++++------
 src/player_qt.h   |    2 +-
 2 files changed, 10 insertions(+), 7 deletions(-)

commit 81dc5c4a8c67bb6393cc6c128e41c2318f0ba729
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 08:33:19 +0100

    Improve explicit GL context reinitialization.
    
    Don't do it twice, in case Qt calls initializeGL().
    Also re-resize.

 src/video_output_opengl_qt.cpp |   45 +++++++++++++++++++++++++++++----------
 src/video_output_opengl_qt.h   |    3 ++
 2 files changed, 36 insertions(+), 12 deletions(-)

commit 44595b11936da8e8ef52a29a177308c0ded39c76
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 07:19:48 +0100

    Move GL context reinitialization after the QWidget::show() call.

 src/video_output_opengl_qt.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 48ea0e38ac61981f384a10a5876ade339c68e2ab
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 07:11:51 +0100

    Reinitialize OpenGL context when switching between window and fullscreen.
    
    This *might* fix some problems on Mac OS X and under KDE.
    If it does not, I'll revert this later.

 src/video_output_opengl_qt.cpp |    9 +++++++++
 src/video_output_opengl_qt.h   |    1 +
 2 files changed, 10 insertions(+), 0 deletions(-)

commit ea8f198d841d876b47dc766c6a3341b4035f07d8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-02 06:40:56 +0100

    Fix bug in audio decoding that can cause crashes and inaccuracies.

 src/decoder_ffmpeg.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 85c03c506f5cedac4591a7ee4b4a11bea59af093
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 17:32:36 +0100

    Equalizer: fix crashes in texture upload.

 src/player_equalizer.cpp |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 2bea26f26449ddd3a377d4154ea32f27170396cc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 16:19:08 +0100

    GUI: Fix play button behaviour on errors.
    
    Go into stop mode if something goes wrong.

 src/player_qt.cpp |   25 ++++++++++++++-----------
 src/player_qt.h   |    1 +
 2 files changed, 15 insertions(+), 11 deletions(-)

commit 381363b74602897a6b8075c8ee0741963cce4b27
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 16:12:00 +0100

    GUI: Fix File->Open behaviour on invalid input files.
    
    Disable play button.

 src/player_qt.cpp |   48 ++++++++++++++++++++++++++++++++++++++++--------
 src/player_qt.h   |    4 ++--
 2 files changed, 42 insertions(+), 10 deletions(-)

commit 053765f3e0873be31517a64f4e44ba861ec94290
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 16:04:52 +0100

    GUI: Fix File->Open behaviour.
    
    If the player is running, stop it. Also automatically set input and output mode
    according to the new video.

 src/player_qt.cpp |    7 +++++--
 src/player_qt.h   |    2 +-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 756f6b8daec00f171e6824c42af6f400c24ee87e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 14:37:34 +0100

    Work around problems with some GL implementations.
    
    This uses the ARB suffix on PBO-extension related functions. This should not
    be necessary, but it is required on my netbook running Ubuntu 10.10 because the
    same functions without ARB suffix are not initialized for some reason.

 src/video_output_opengl.cpp |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 4251b1011b0641c847d406dde1205b8efd29bc00
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 12:57:13 +0100

    Equalizer: fix stupid crash bug.
    
    The reason for the crash was that the eq_node_factory was not valid anymore
    at the time eq_config::init() was called...

 src/player_equalizer.cpp |   14 +++++++++-----
 src/player_equalizer.h   |    1 +
 2 files changed, 10 insertions(+), 5 deletions(-)

commit 4151d6c069b12e36b6cb62f5f39bc8d9493f567c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 11:43:50 +0100

    GUI: Fix 'swap eyes' functionality.

 src/player_qt.cpp |   11 +++++++++--
 src/player_qt.h   |    1 +
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 9858b41053989d3538e4a926cbe2a84e2820e1d3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-11-01 10:29:59 +0100

    Simplify registration of controllers.
    
    And remove nonsense comment about it.

 src/controller.cpp |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit c91d289360b117a9e0bfd70c282e14a7a4fa2f38
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-31 17:37:44 +0100

    Bump version to 0.3.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 756dd190c499fbfc1e9da4a5188b327ba6e469d1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-31 17:13:20 +0100

    GUI: properly handle errors that occur when trying to start playing.

 src/player_qt.cpp |    9 ++++++---
 src/player_qt.h   |    1 +
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 22b82a917efa030dd376fdc612f5a91de40a433b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-31 17:01:46 +0100

    Do not refuse to play if multiple audio streams are available.
    
    Simply only use the first audio stream and ignore all others. This helps in the
    situation where separate left/right video streams each have their own audio
    stream.

 src/player.cpp |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 3730f8da01aa99e91c3095b01a5834b7322ceb93
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-31 17:01:25 +0100

    Remove forgotten debugging output.

 src/player_qt.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 1fd194a300d4797e051e8e7970fb46bd4ae63c83
Author: Gabriele Greco <gabrielegreco@gmail.com>
Date:   2010-10-31 16:51:56 +0100

    Remove dependency on freealut.
    
    The OpenAL initialization/deinitialization is simple enough to be done
    manually. This avoids a dependency on freealut.

 configure.ac                |   14 +++++++-------
 src/Makefile.am             |    4 ++--
 src/audio_output_openal.cpp |   35 ++++++++++++++++++++++++++---------
 src/audio_output_openal.h   |    9 +++++++--
 4 files changed, 42 insertions(+), 20 deletions(-)

commit de38a03597304e41d1b750b79a4c6a323292e490
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-31 16:25:20 +0100

    First working GUI version, based on Qt.
    
    This required some structural changes all over the place.

 doc/bino.1                     |   11 +-
 src/Makefile.am                |   16 +-
 src/appicon.png                |  Bin 3657 -> 0 bytes
 src/controller.cpp             |   14 +
 src/controller.h               |   14 +-
 src/gui.cpp                    |  210 -----------
 src/gui.h                      |   88 -----
 src/icons/README               |   14 +
 src/icons/appicon.png          |  Bin 0 -> 3657 bytes
 src/icons/b.ipe                |  402 +++++++++++++++++++++
 src/icons/b.png                |  Bin 0 -> 579 bytes
 src/icons/bb.ipe               |  408 +++++++++++++++++++++
 src/icons/bb.png               |  Bin 0 -> 826 bytes
 src/icons/bbb.ipe              |  414 ++++++++++++++++++++++
 src/icons/bbb.png              |  Bin 0 -> 1066 bytes
 src/icons/f.ipe                |  402 +++++++++++++++++++++
 src/icons/f.png                |  Bin 0 -> 583 bytes
 src/icons/ff.ipe               |  408 +++++++++++++++++++++
 src/icons/ff.png               |  Bin 0 -> 814 bytes
 src/icons/fff.ipe              |  414 ++++++++++++++++++++++
 src/icons/fff.png              |  Bin 0 -> 1024 bytes
 src/icons/pause.ipe            |  410 ++++++++++++++++++++++
 src/icons/pause.png            |  Bin 0 -> 571 bytes
 src/icons/play.ipe             |  402 +++++++++++++++++++++
 src/icons/play.png             |  Bin 0 -> 709 bytes
 src/icons/stop.ipe             |  403 +++++++++++++++++++++
 src/icons/stop.png             |  Bin 0 -> 417 bytes
 src/main.cpp                   |   17 +-
 src/player.cpp                 |   77 +++--
 src/player.h                   |   24 +-
 src/player_equalizer.cpp       |    4 +-
 src/player_qt.cpp              |  760 ++++++++++++++++++++++++++++++++++++++++
 src/player_qt.h                |  173 +++++++++
 src/qt_resources.qrc           |   11 +-
 src/video_output.h             |    3 +
 src/video_output_opengl.cpp    |   82 +++--
 src/video_output_opengl.h      |   23 +-
 src/video_output_opengl_qt.cpp |   97 +++++-
 src/video_output_opengl_qt.h   |   20 +-
 39 files changed, 4913 insertions(+), 408 deletions(-)

commit 7741c5a76e78060a6f7d84a7876166a264e6be54
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-24 13:49:09 +0200

    Add basic GUI infrastructure, based on Qt. Not yet functional.

 src/Makefile.am                |    5 +
 src/appicon.png                |  Bin 0 -> 3657 bytes
 src/gui.cpp                    |  210 ++++++++++++++++++++++++++++++++++++++++
 src/gui.h                      |   88 +++++++++++++++++
 src/main.cpp                   |   11 ++-
 src/qt_app.cpp                 |    9 ++
 src/qt_app.h                   |    1 +
 src/qt_resources.qrc           |    5 +
 src/video_output_opengl_qt.cpp |    6 +-
 src/video_output_opengl_qt.h   |    1 +
 10 files changed, 332 insertions(+), 4 deletions(-)

commit 0dc74e2cc3b3e54b3e4e893a8b128e404bfd74c9
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-24 11:51:02 +0200

    Move the initialization of the Qt application into its own file.
    
    This is in preparation of the GUI, which will also use this.

 src/Makefile.am                |    1 +
 src/qt_app.cpp                 |   46 ++++++++++++++++++++++++++++++++++++++++
 src/qt_app.h                   |   29 +++++++++++++++++++++++++
 src/video_output_opengl_qt.cpp |   19 ++++++----------
 src/video_output_opengl_qt.h   |    5 +---
 5 files changed, 84 insertions(+), 16 deletions(-)

commit 5eca7c925eddea823dd09224d61d2d871013ba2c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-23 00:13:35 +0200

    Optimize transfer of video frames to textures.
    
    This does two things:
    1) Use pixel buffer objects, if available, and
    2) Use bgra instead of rgb24 pixel format for non-yuv420p videos.
    
    The first change allows the OpenGL driver to avoid a data copy, see the
    ARB_pixel_buffer_object spec. This leads to a factor 2 speedup with the
    proprietary Nvidia drivers in my test with a 2x1080p stereo video.
    With the free ATI r600 driver, it currently leads to a factor 2 slowdown
    instead, but this is something that will probably be fixed some day.

 src/decoder_ffmpeg.cpp          |   10 +-
 src/input.cpp                   |    2 +-
 src/player_equalizer.cpp        |    8 +-
 src/video_frame_format.h        |    2 +-
 src/video_output_opengl.cpp     |  229 +++++++++++++++++----------------------
 src/video_output_opengl.fs.glsl |   10 +-
 src/video_output_opengl.h       |    3 +-
 src/video_output_opengl_qt.cpp  |    1 +
 8 files changed, 122 insertions(+), 143 deletions(-)

commit 3551b8bb0e185a99eca342856d6ba446ff3c60ed
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-22 17:41:42 +0200

    Improve error message when OpenGL stereo mode is not available.

 src/video_output_opengl_qt.cpp |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 45436f20115f941687497e45b67b4dffe8e2eda1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-22 17:31:34 +0200

    Remove the unused freeglut implementation of video_output_opengl.

 src/video_output_opengl_freeglut.cpp |  345 ----------------------------------
 src/video_output_opengl_freeglut.h   |   62 ------
 2 files changed, 0 insertions(+), 407 deletions(-)

commit ef6c6ead7e8cd293567d61ba8deec8829f561c83
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-22 17:30:22 +0200

    Replace freeglut with Qt's QGLWidget.

 configure.ac                         |   41 +++--
 src/Makefile.am                      |   23 ++-
 src/player.cpp                       |    4 +-
 src/video_output_opengl.cpp          |   54 ++++++-
 src/video_output_opengl.h            |    8 +-
 src/video_output_opengl_freeglut.cpp |   63 +------
 src/video_output_opengl_qt.cpp       |  322 ++++++++++++++++++++++++++++++++++
 src/video_output_opengl_qt.h         |   83 +++++++++
 8 files changed, 507 insertions(+), 91 deletions(-)

commit dcab76201f0ad37adaddbec1b12ebe168d15d821
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-22 17:28:47 +0200

    Remove dependency on libglu.

 configure.ac    |    8 --------
 src/Makefile.am |    4 ++--
 src/xgl.cpp     |    4 ++--
 3 files changed, 4 insertions(+), 12 deletions(-)

commit 665a678c2a6be932c80c332db73d57d8809915cd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-22 10:34:24 +0200

    Add initial infrastructure for distributed rendering via Equalizer.
    
    This does not currently work and is disabled by default.

 configure.ac                         |   36 ++-
 src/Makefile.am                      |    7 +
 src/base/Makefile.am                 |    4 +
 src/base/s11n.cpp                    |  235 +++++++++++
 src/base/s11n.h                      |  152 +++++++
 src/input.h                          |    5 +
 src/main.cpp                         |  397 ++++++++-----------
 src/player.cpp                       |  571 +++++++++++++++++++---------
 src/player.h                         |   77 +++-
 src/player_equalizer.cpp             |  715 ++++++++++++++++++++++++++++++++++
 src/player_equalizer.h               |   23 ++
 src/video_output.cpp                 |   11 +
 src/video_output.h                   |   28 +-
 src/video_output_opengl.cpp          |  423 +++-----------------
 src/video_output_opengl.h            |   58 ++--
 src/video_output_opengl_freeglut.cpp |  398 +++++++++++++++++++
 src/video_output_opengl_freeglut.h   |   62 +++
 src/xgl.h                            |    2 +-
 18 files changed, 2363 insertions(+), 841 deletions(-)

commit b9f4dfee59cb2769a135c771dcb64b5317450307
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-18 22:05:02 +0200

    Avoid dynamic arrays; use a vector instead.

 src/video_output_opengl.cpp |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit 8827cd7a4f69fa4a56fccb73018b96130fc779cf
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-18 15:02:58 +0200

    Fix initial window size for videos in format left_right_half or top_bottom_half.
    
    Such videos were presented too small before.

 src/video_output_opengl.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f72c254b098402efc7e48d641562c97769c5153d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-18 15:02:24 +0200

    Fix message about input format.

 src/input.cpp |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 83ecb5c6938a14120502c590683eae560bfbcad3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-18 15:01:04 +0200

    Add support for more meta tags to recognize the input format automatically.
    
    This adds support for the tags StereoscopicHalfWidth and StereoscopicHalfHeight
    used here: http://3dtv.at/Knowhow/StereoWmvSpec_en.aspx

 src/input.cpp |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 63ca251f88921dcecbc437f545a266e9d0256ae5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-18 08:31:39 +0200

    Fill in homepage field in configure.ac.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 978238715d6844caadf4aba7dabbeaaad6e7f8cc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-17 14:05:40 +0200

    Bump version to 0.2.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7817b3f93503e4a3724713fd49022085ed6756b3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-17 14:04:36 +0200

    Add support for the output formats top-bottom, left-right, and checkerboard.

 doc/bino.1                  |    3 ++
 src/main.cpp                |   18 +++++++++++++++
 src/video_output.h          |    3 ++
 src/video_output_opengl.cpp |   52 ++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 70 insertions(+), 6 deletions(-)

commit a935c311181e48df58b7e591f062fb8ac6eb02b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-17 11:21:11 +0200

    Bug fix: initialize _format properly.
    
    Reported by Frédéric Devernay.

 src/audio_output_openal.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 678e654dc8746e5e51b0a83630bf984100270190
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-16 10:25:53 +0200

    Remove unnessecary include of GL/glu.h.
    
    It should be included by GL/glew.h, and glew.h also takes care of different
    locations of this file, e.g. on MacOS.
    
    Based on a suggestion by Frédéric Devernay.

 src/xgl.cpp |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 3d24015b7df2649d53d73dc79ad551be33a25a4d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-16 10:23:05 +0200

    Fall back to gettimeofday if the system does not have clock_gettime.
    
    Patch based on a suggestion by Frédéric Devernay, for MacOS.

 configure.ac       |    2 +-
 src/base/timer.cpp |   20 +++++++++++++++++---
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 4669c2b07b39a40fdf7bb228fded75123e0fe5a7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-16 10:09:47 +0200

    Remove unnecessary includes that cause portability problems.
    
    Patch by Frédéric Devernay.

 src/audio_output_openal.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ff4070a5eea345a3534ea8957b8906ecac1bc5cd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-14 22:54:23 +0200

    Fix shader compilation for free ATI drivers on Ubuntu 10.10.

 src/video_output_opengl.fs.glsl |   30 +++++++++++++++---------------
 1 files changed, 15 insertions(+), 15 deletions(-)

commit 2c412477105ebb08f7feae080c80e61fb90052e4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-10 19:55:32 +0200

    Link against libGLU explicitly. Should fix build error on Gentoo.

 configure.ac    |    9 +++++++++
 src/Makefile.am |    4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 21d2847cc7af81c363b2ebf1d9511c5824c28b4c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-02 09:12:36 +0200

    Support OpenGL implementations that do not support non-power-of-two textures.

 src/video_output_opengl.cpp |  150 +++++++++++++++++++++++++++++++++----------
 src/video_output_opengl.h   |    4 +
 2 files changed, 120 insertions(+), 34 deletions(-)

commit f9bcd2131e5fcd43de68d45d5bdfc66b6fbfb2b5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 23:40:45 +0200

    Improve informational messages about video formats.

 src/decoder_ffmpeg.cpp |    7 +++++--
 src/input.cpp          |    7 ++++---
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 25fb0c5e9cee8802d5607136a08fb11a6ece236b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 13:19:30 +0200

    Remove unused constant.

 src/video_output_opengl.fs.glsl |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 94a71d6d6197097833a4b1c88d85abb96277537b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 11:40:37 +0200

    Add basic README.

 README |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit b345c846b859493cd8d6e7114a73f0c150914613
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 11:36:59 +0200

    Remove all remnants of obsolete gamma correction.

 src/controller.h            |    2 --
 src/main.cpp                |    1 -
 src/player.cpp              |    4 ----
 src/video_output.h          |    1 -
 src/video_output_opengl.cpp |   10 ----------
 5 files changed, 0 insertions(+), 18 deletions(-)

commit 955d15605cf83096055e4ad363acd45952512728
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 10:33:25 +0200

    Improve / fix yuv<->rgb conversion and yuv color adjustment.

 src/video_output_opengl.cpp     |    3 +-
 src/video_output_opengl.fs.glsl |   57 +++++++++++++--------------------------
 2 files changed, 21 insertions(+), 39 deletions(-)

commit 50d7ececbb1ea79d8a1e22ff9e065f799b3abd69
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 10:32:53 +0200

    Improve reporting of warnings for shader compilation.

 src/xgl.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fe57de256ec00994341cb5a38794f21b6def5e96
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 10:16:20 +0200

    Remove obsolete documentation of gamma correction.

 doc/bino.1   |    2 --
 src/main.cpp |    1 -
 2 files changed, 0 insertions(+), 3 deletions(-)

commit c5f87a4fb40f21718671971f35b090c0130758f1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-10-01 07:44:50 +0200

    Add support for OpenGL accelerated color space conversion.
    
    This works for inputs that decode to yuv420p format, which seems to be the
    most common format.
    
    If shaders are not available or the input decodes to something else, we
    fall back to software conversion to rgb24.

 src/Makefile.am                 |    1 +
 src/decoder.h                   |   23 ++-
 src/decoder_ffmpeg.cpp          |   54 ++++--
 src/decoder_ffmpeg.h            |    6 +-
 src/input.cpp                   |  183 ++++++++++--------
 src/input.h                     |   14 +-
 src/main.cpp                    |    1 +
 src/player.cpp                  |   43 ++---
 src/video_frame_format.h        |   29 +++
 src/video_output.h              |    9 +-
 src/video_output_opengl.cpp     |  407 ++++++++++++++++++++++++---------------
 src/video_output_opengl.fs.glsl |  278 ++++++++++++---------------
 src/video_output_opengl.h       |   16 ++-
 13 files changed, 618 insertions(+), 446 deletions(-)

commit 41cee5622973cb8ba3b28a449f93d281ea22cd9d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-29 21:29:32 +0200

    Remove workarounds for older ffmpeg versions.

 src/decoder_ffmpeg.cpp |   43 -------------------------------------------
 1 files changed, 0 insertions(+), 43 deletions(-)

commit af9c215741ea989b9cd4abe6cd6ba593492b0c4e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-29 21:27:59 +0200

    Require recent SVN versions of ffmpeg, and improve error messages for libraries that are not found.

 configure.ac |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit a999166526dbf4c625d4addcf60fc51960643207
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-29 06:51:17 +0200

    Initial import

 .gitignore                      |    7 +
 AUTHORS                         |    1 +
 COPYING                         |  674 ++++++++++++++++
 ChangeLog                       |    3 +
 INSTALL                         |  365 +++++++++
 Makefile.am                     |   19 +
 build-aux/config.guess          | 1533 +++++++++++++++++++++++++++++++++++
 build-aux/config.rpath          |  672 ++++++++++++++++
 build-aux/config.sub            | 1693 +++++++++++++++++++++++++++++++++++++++
 build-aux/depcomp               |  630 +++++++++++++++
 build-aux/install-sh            |  520 ++++++++++++
 build-aux/missing               |  376 +++++++++
 configure.ac                    |  100 +++
 doc/Makefile.am                 |    2 +
 doc/bino.1                      |   91 +++
 src/Makefile.am                 |   54 ++
 src/audio_output.cpp            |   31 +
 src/audio_output.h              |   67 ++
 src/audio_output_openal.cpp     |  311 +++++++
 src/audio_output_openal.h       |   71 ++
 src/base/Makefile.am            |   16 +
 src/base/blob.h                 |  167 ++++
 src/base/debug.cpp              |  137 ++++
 src/base/debug.h                |   50 ++
 src/base/exc.cpp                |  124 +++
 src/base/exc.h                  |   77 ++
 src/base/intcheck.h             |  208 +++++
 src/base/msg.cpp                |  472 +++++++++++
 src/base/msg.h                  |   99 +++
 src/base/opt.cpp                |  259 ++++++
 src/base/opt.h                  |  655 +++++++++++++++
 src/base/str.cpp                |  411 ++++++++++
 src/base/str.h                  |  102 +++
 src/base/timer.cpp              |   52 ++
 src/base/timer.h                |   53 ++
 src/controller.cpp              |   52 ++
 src/controller.h                |  120 +++
 src/decoder.cpp                 |   57 ++
 src/decoder.h                   |  120 +++
 src/decoder_ffmpeg.cpp          |  744 +++++++++++++++++
 src/decoder_ffmpeg.h            |   73 ++
 src/input.cpp                   |  391 +++++++++
 src/input.h                     |  140 ++++
 src/main.cpp                    |  421 ++++++++++
 src/player.cpp                  |  355 ++++++++
 src/player.h                    |   73 ++
 src/video_output.cpp            |   31 +
 src/video_output.h              |   89 ++
 src/video_output_opengl.cpp     |  753 +++++++++++++++++
 src/video_output_opengl.fs.glsl |  192 +++++
 src/video_output_opengl.h       |   84 ++
 src/xgl.cpp                     |  412 ++++++++++
 src/xgl.h                       |  161 ++++
 53 files changed, 14370 insertions(+), 0 deletions(-)
